# figshare_api

FigshareApi - JavaScript client for figshare_api
Figshare apiv2. Using Swagger 2.0
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.0
- Package version: 2.0.0
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install figshare_api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your figshare_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('figshare_api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var FigshareApi = require('figshare_api');

var defaultClient = FigshareApi.ApiClient.instance;

// Configure OAuth2 access token for authorization: OAuth2
var OAuth2 = defaultClient.authentications['OAuth2'];
OAuth2.accessToken = "YOUR ACCESS TOKEN"

var api = new FigshareApi.ArticlesApi()

var opts = { 
  'groupId': 789 // {Number} A group ID to filter by
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.accountArticleReport(opts, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://api.figsh.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*FigshareApi.ArticlesApi* | [**accountArticleReport**](docs/ArticlesApi.md#accountArticleReport) | **GET** /account/articles/export | Account Article Report
*FigshareApi.ArticlesApi* | [**accountArticleReportGenerate**](docs/ArticlesApi.md#accountArticleReportGenerate) | **POST** /account/articles/export | Initiate a new Report
*FigshareApi.ArticlesApi* | [**articleDetails**](docs/ArticlesApi.md#articleDetails) | **GET** /articles/{article_id} | View article details
*FigshareApi.ArticlesApi* | [**articleFileDetails**](docs/ArticlesApi.md#articleFileDetails) | **GET** /articles/{article_id}/files/{file_id} | Article file details
*FigshareApi.ArticlesApi* | [**articleFiles**](docs/ArticlesApi.md#articleFiles) | **GET** /articles/{article_id}/files | List article files
*FigshareApi.ArticlesApi* | [**articleVersionConfidentiality**](docs/ArticlesApi.md#articleVersionConfidentiality) | **GET** /articles/{article_id}/versions/{v_number}/confidentiality | Public Article Confidentiality for article version
*FigshareApi.ArticlesApi* | [**articleVersionDetails**](docs/ArticlesApi.md#articleVersionDetails) | **GET** /articles/{article_id}/versions/{v_number} | Article details for version
*FigshareApi.ArticlesApi* | [**articleVersionEmbargo**](docs/ArticlesApi.md#articleVersionEmbargo) | **GET** /articles/{article_id}/versions/{v_number}/embargo | Public Article Embargo for article version
*FigshareApi.ArticlesApi* | [**articleVersionUpdate**](docs/ArticlesApi.md#articleVersionUpdate) | **PUT** /account/articles/{article_id}/versions/{version_id}/ | Update article version
*FigshareApi.ArticlesApi* | [**articleVersionUpdateThumb**](docs/ArticlesApi.md#articleVersionUpdateThumb) | **PUT** /account/articles/{article_id}/versions/{version_id}/update_thumb | Update article version thumbnail
*FigshareApi.ArticlesApi* | [**articleVersions**](docs/ArticlesApi.md#articleVersions) | **GET** /articles/{article_id}/versions | List article versions
*FigshareApi.ArticlesApi* | [**articlesList**](docs/ArticlesApi.md#articlesList) | **GET** /articles | Public Articles
*FigshareApi.ArticlesApi* | [**articlesSearch**](docs/ArticlesApi.md#articlesSearch) | **POST** /articles/search | Public Articles Search
*FigshareApi.ArticlesApi* | [**privateArticleAuthorDelete**](docs/ArticlesApi.md#privateArticleAuthorDelete) | **DELETE** /account/articles/{article_id}/authors/{author_id} | Delete article author
*FigshareApi.ArticlesApi* | [**privateArticleAuthorsAdd**](docs/ArticlesApi.md#privateArticleAuthorsAdd) | **POST** /account/articles/{article_id}/authors | Add article authors
*FigshareApi.ArticlesApi* | [**privateArticleAuthorsList**](docs/ArticlesApi.md#privateArticleAuthorsList) | **GET** /account/articles/{article_id}/authors | List article authors
*FigshareApi.ArticlesApi* | [**privateArticleAuthorsReplace**](docs/ArticlesApi.md#privateArticleAuthorsReplace) | **PUT** /account/articles/{article_id}/authors | Replace article authors
*FigshareApi.ArticlesApi* | [**privateArticleCategoriesAdd**](docs/ArticlesApi.md#privateArticleCategoriesAdd) | **POST** /account/articles/{article_id}/categories | Add article categories
*FigshareApi.ArticlesApi* | [**privateArticleCategoriesList**](docs/ArticlesApi.md#privateArticleCategoriesList) | **GET** /account/articles/{article_id}/categories | List article categories
*FigshareApi.ArticlesApi* | [**privateArticleCategoriesReplace**](docs/ArticlesApi.md#privateArticleCategoriesReplace) | **PUT** /account/articles/{article_id}/categories | Replace article categories
*FigshareApi.ArticlesApi* | [**privateArticleCategoryDelete**](docs/ArticlesApi.md#privateArticleCategoryDelete) | **DELETE** /account/articles/{article_id}/categories/{category_id} | Delete article category
*FigshareApi.ArticlesApi* | [**privateArticleConfidentialityDelete**](docs/ArticlesApi.md#privateArticleConfidentialityDelete) | **DELETE** /account/articles/{article_id}/confidentiality | Delete article confidentiality
*FigshareApi.ArticlesApi* | [**privateArticleConfidentialityDetails**](docs/ArticlesApi.md#privateArticleConfidentialityDetails) | **GET** /account/articles/{article_id}/confidentiality | Article confidentiality details
*FigshareApi.ArticlesApi* | [**privateArticleConfidentialityUpdate**](docs/ArticlesApi.md#privateArticleConfidentialityUpdate) | **PUT** /account/articles/{article_id}/confidentiality | Update article confidentiality
*FigshareApi.ArticlesApi* | [**privateArticleCreate**](docs/ArticlesApi.md#privateArticleCreate) | **POST** /account/articles | Create new Article
*FigshareApi.ArticlesApi* | [**privateArticleDelete**](docs/ArticlesApi.md#privateArticleDelete) | **DELETE** /account/articles/{article_id} | Delete article
*FigshareApi.ArticlesApi* | [**privateArticleDetails**](docs/ArticlesApi.md#privateArticleDetails) | **GET** /account/articles/{article_id} | Article details
*FigshareApi.ArticlesApi* | [**privateArticleEmbargoDelete**](docs/ArticlesApi.md#privateArticleEmbargoDelete) | **DELETE** /account/articles/{article_id}/embargo | Delete Article Embargo
*FigshareApi.ArticlesApi* | [**privateArticleEmbargoDetails**](docs/ArticlesApi.md#privateArticleEmbargoDetails) | **GET** /account/articles/{article_id}/embargo | Article Embargo Details
*FigshareApi.ArticlesApi* | [**privateArticleEmbargoUpdate**](docs/ArticlesApi.md#privateArticleEmbargoUpdate) | **PUT** /account/articles/{article_id}/embargo | Update Article Embargo
*FigshareApi.ArticlesApi* | [**privateArticleFile**](docs/ArticlesApi.md#privateArticleFile) | **GET** /account/articles/{article_id}/files/{file_id} | Single File
*FigshareApi.ArticlesApi* | [**privateArticleFileDelete**](docs/ArticlesApi.md#privateArticleFileDelete) | **DELETE** /account/articles/{article_id}/files/{file_id} | File Delete
*FigshareApi.ArticlesApi* | [**privateArticleFilesList**](docs/ArticlesApi.md#privateArticleFilesList) | **GET** /account/articles/{article_id}/files | List article files
*FigshareApi.ArticlesApi* | [**privateArticlePrivateLink**](docs/ArticlesApi.md#privateArticlePrivateLink) | **GET** /account/articles/{article_id}/private_links | List private links
*FigshareApi.ArticlesApi* | [**privateArticlePrivateLinkCreate**](docs/ArticlesApi.md#privateArticlePrivateLinkCreate) | **POST** /account/articles/{article_id}/private_links | Create private link
*FigshareApi.ArticlesApi* | [**privateArticlePrivateLinkDelete**](docs/ArticlesApi.md#privateArticlePrivateLinkDelete) | **DELETE** /account/articles/{article_id}/private_links/{link_id} | Disable private link
*FigshareApi.ArticlesApi* | [**privateArticlePrivateLinkUpdate**](docs/ArticlesApi.md#privateArticlePrivateLinkUpdate) | **PUT** /account/articles/{article_id}/private_links/{link_id} | Update private link
*FigshareApi.ArticlesApi* | [**privateArticlePublish**](docs/ArticlesApi.md#privateArticlePublish) | **POST** /account/articles/{article_id}/publish | Private Article Publish
*FigshareApi.ArticlesApi* | [**privateArticleReserveDoi**](docs/ArticlesApi.md#privateArticleReserveDoi) | **POST** /account/articles/{article_id}/reserve_doi | Private Article Reserve DOI
*FigshareApi.ArticlesApi* | [**privateArticleReserveHandle**](docs/ArticlesApi.md#privateArticleReserveHandle) | **POST** /account/articles/{article_id}/reserve_handle | Private Article Reserve Handle
*FigshareApi.ArticlesApi* | [**privateArticleResource**](docs/ArticlesApi.md#privateArticleResource) | **POST** /account/articles/{article_id}/resource | Private Article Resource
*FigshareApi.ArticlesApi* | [**privateArticleUpdate**](docs/ArticlesApi.md#privateArticleUpdate) | **PUT** /account/articles/{article_id} | Update article
*FigshareApi.ArticlesApi* | [**privateArticleUploadComplete**](docs/ArticlesApi.md#privateArticleUploadComplete) | **POST** /account/articles/{article_id}/files/{file_id} | Complete Upload
*FigshareApi.ArticlesApi* | [**privateArticleUploadInitiate**](docs/ArticlesApi.md#privateArticleUploadInitiate) | **POST** /account/articles/{article_id}/files | Initiate Upload
*FigshareApi.ArticlesApi* | [**privateArticlesList**](docs/ArticlesApi.md#privateArticlesList) | **GET** /account/articles | Private Articles
*FigshareApi.ArticlesApi* | [**privateArticlesSearch**](docs/ArticlesApi.md#privateArticlesSearch) | **POST** /account/articles/search | Private Articles search
*FigshareApi.AuthorsApi* | [**privateAuthorDetails**](docs/AuthorsApi.md#privateAuthorDetails) | **GET** /account/authors/{author_id} | Author details
*FigshareApi.AuthorsApi* | [**privateAuthorsSearch**](docs/AuthorsApi.md#privateAuthorsSearch) | **POST** /account/authors/search | Search Authors
*FigshareApi.CollectionsApi* | [**collectionArticles**](docs/CollectionsApi.md#collectionArticles) | **GET** /collections/{collection_id}/articles | Public Collection Articles
*FigshareApi.CollectionsApi* | [**collectionDetails**](docs/CollectionsApi.md#collectionDetails) | **GET** /collections/{collection_id} | Collection details
*FigshareApi.CollectionsApi* | [**collectionVersionDetails**](docs/CollectionsApi.md#collectionVersionDetails) | **GET** /collections/{collection_id}/versions/{version_id} | Collection Version details
*FigshareApi.CollectionsApi* | [**collectionVersions**](docs/CollectionsApi.md#collectionVersions) | **GET** /collections/{collection_id}/versions | Collection Versions list
*FigshareApi.CollectionsApi* | [**collectionsList**](docs/CollectionsApi.md#collectionsList) | **GET** /collections | Public Collections
*FigshareApi.CollectionsApi* | [**collectionsSearch**](docs/CollectionsApi.md#collectionsSearch) | **POST** /collections/search | Public Collections Search
*FigshareApi.CollectionsApi* | [**privateCollectionArticleDelete**](docs/CollectionsApi.md#privateCollectionArticleDelete) | **DELETE** /account/collections/{collection_id}/articles/{article_id} | Delete collection article
*FigshareApi.CollectionsApi* | [**privateCollectionArticlesAdd**](docs/CollectionsApi.md#privateCollectionArticlesAdd) | **POST** /account/collections/{collection_id}/articles | Add collection articles
*FigshareApi.CollectionsApi* | [**privateCollectionArticlesList**](docs/CollectionsApi.md#privateCollectionArticlesList) | **GET** /account/collections/{collection_id}/articles | List collection articles
*FigshareApi.CollectionsApi* | [**privateCollectionArticlesReplace**](docs/CollectionsApi.md#privateCollectionArticlesReplace) | **PUT** /account/collections/{collection_id}/articles | Replace collection articles
*FigshareApi.CollectionsApi* | [**privateCollectionAuthorDelete**](docs/CollectionsApi.md#privateCollectionAuthorDelete) | **DELETE** /account/collections/{collection_id}/authors/{author_id} | Delete collection author
*FigshareApi.CollectionsApi* | [**privateCollectionAuthorsAdd**](docs/CollectionsApi.md#privateCollectionAuthorsAdd) | **POST** /account/collections/{collection_id}/authors | Add collection authors
*FigshareApi.CollectionsApi* | [**privateCollectionAuthorsList**](docs/CollectionsApi.md#privateCollectionAuthorsList) | **GET** /account/collections/{collection_id}/authors | List collection authors
*FigshareApi.CollectionsApi* | [**privateCollectionAuthorsReplace**](docs/CollectionsApi.md#privateCollectionAuthorsReplace) | **PUT** /account/collections/{collection_id}/authors | Replace collection authors
*FigshareApi.CollectionsApi* | [**privateCollectionCategoriesAdd**](docs/CollectionsApi.md#privateCollectionCategoriesAdd) | **POST** /account/collections/{collection_id}/categories | Add collection categories
*FigshareApi.CollectionsApi* | [**privateCollectionCategoriesList**](docs/CollectionsApi.md#privateCollectionCategoriesList) | **GET** /account/collections/{collection_id}/categories | List collection categories
*FigshareApi.CollectionsApi* | [**privateCollectionCategoriesReplace**](docs/CollectionsApi.md#privateCollectionCategoriesReplace) | **PUT** /account/collections/{collection_id}/categories | Replace collection categories
*FigshareApi.CollectionsApi* | [**privateCollectionCategoryDelete**](docs/CollectionsApi.md#privateCollectionCategoryDelete) | **DELETE** /account/collections/{collection_id}/categories/{category_id} | Delete collection category
*FigshareApi.CollectionsApi* | [**privateCollectionCreate**](docs/CollectionsApi.md#privateCollectionCreate) | **POST** /account/collections | Create collection
*FigshareApi.CollectionsApi* | [**privateCollectionDelete**](docs/CollectionsApi.md#privateCollectionDelete) | **DELETE** /account/collections/{collection_id} | Delete collection
*FigshareApi.CollectionsApi* | [**privateCollectionDetails**](docs/CollectionsApi.md#privateCollectionDetails) | **GET** /account/collections/{collection_id} | Collection details
*FigshareApi.CollectionsApi* | [**privateCollectionPrivateLinkCreate**](docs/CollectionsApi.md#privateCollectionPrivateLinkCreate) | **POST** /account/collections/{collection_id}/private_links | Create collection private link
*FigshareApi.CollectionsApi* | [**privateCollectionPrivateLinkDelete**](docs/CollectionsApi.md#privateCollectionPrivateLinkDelete) | **DELETE** /account/collections/{collection_id}/private_links/{link_id} | Disable private link
*FigshareApi.CollectionsApi* | [**privateCollectionPrivateLinkUpdate**](docs/CollectionsApi.md#privateCollectionPrivateLinkUpdate) | **PUT** /account/collections/{collection_id}/private_links/{link_id} | Update collection private link
*FigshareApi.CollectionsApi* | [**privateCollectionPrivateLinksList**](docs/CollectionsApi.md#privateCollectionPrivateLinksList) | **GET** /account/collections/{collection_id}/private_links | List collection private links
*FigshareApi.CollectionsApi* | [**privateCollectionPublish**](docs/CollectionsApi.md#privateCollectionPublish) | **POST** /account/collections/{collection_id}/publish | Private Collection Publish
*FigshareApi.CollectionsApi* | [**privateCollectionReserveDoi**](docs/CollectionsApi.md#privateCollectionReserveDoi) | **POST** /account/collections/{collection_id}/reserve_doi | Private Collection Reserve DOI
*FigshareApi.CollectionsApi* | [**privateCollectionReserveHandle**](docs/CollectionsApi.md#privateCollectionReserveHandle) | **POST** /account/collections/{collection_id}/reserve_handle | Private Collection Reserve Handle
*FigshareApi.CollectionsApi* | [**privateCollectionResource**](docs/CollectionsApi.md#privateCollectionResource) | **POST** /account/collections/{collection_id}/resource | Private Collection Resource
*FigshareApi.CollectionsApi* | [**privateCollectionUpdate**](docs/CollectionsApi.md#privateCollectionUpdate) | **PUT** /account/collections/{collection_id} | Update collection
*FigshareApi.CollectionsApi* | [**privateCollectionsList**](docs/CollectionsApi.md#privateCollectionsList) | **GET** /account/collections | Private Collections List
*FigshareApi.CollectionsApi* | [**privateCollectionsSearch**](docs/CollectionsApi.md#privateCollectionsSearch) | **POST** /account/collections/search | Private Collections Search
*FigshareApi.InstitutionsApi* | [**accountInstitutionCuration**](docs/InstitutionsApi.md#accountInstitutionCuration) | **GET** /account/institution/review/{curation_id} | Institution Curation Review
*FigshareApi.InstitutionsApi* | [**accountInstitutionCurationComments**](docs/InstitutionsApi.md#accountInstitutionCurationComments) | **GET** /account/institution/review/{curation_id}/comments | Institution Curation Review Comments
*FigshareApi.InstitutionsApi* | [**accountInstitutionCurationComments_0**](docs/InstitutionsApi.md#accountInstitutionCurationComments_0) | **POST** /account/institution/review/{curation_id}/comments | POST Institution Curation Review Comment
*FigshareApi.InstitutionsApi* | [**accountInstitutionCurations**](docs/InstitutionsApi.md#accountInstitutionCurations) | **GET** /account/institution/reviews | Institution Curation Reviews
*FigshareApi.InstitutionsApi* | [**customFieldsList**](docs/InstitutionsApi.md#customFieldsList) | **GET** /account/institution/custom_fields | Private account institution group custom fields
*FigshareApi.InstitutionsApi* | [**customFieldsUpload**](docs/InstitutionsApi.md#customFieldsUpload) | **POST** /account/institution/custom_fields/{custom_field_id}/items/upload | Custom fields values files upload
*FigshareApi.InstitutionsApi* | [**institutionArticles**](docs/InstitutionsApi.md#institutionArticles) | **GET** /institutions/{institution_string_id}/articles/filter-by | Public Institution Articles
*FigshareApi.InstitutionsApi* | [**institutionHrfeedUpload**](docs/InstitutionsApi.md#institutionHrfeedUpload) | **POST** /institution/hrfeed/upload | Private Institution HRfeed Upload
*FigshareApi.InstitutionsApi* | [**privateAccountInstitutionUser**](docs/InstitutionsApi.md#privateAccountInstitutionUser) | **GET** /account/institution/users/{account_id} | Private Account Institution User
*FigshareApi.InstitutionsApi* | [**privateCategoriesList**](docs/InstitutionsApi.md#privateCategoriesList) | **GET** /account/categories | Private Account Categories
*FigshareApi.InstitutionsApi* | [**privateGroupEmbargoOptionsDetails**](docs/InstitutionsApi.md#privateGroupEmbargoOptionsDetails) | **GET** /account/institution/groups/{group_id}/embargo_options | Private Account Institution Group Embargo Options
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountGroupRoleDelete**](docs/InstitutionsApi.md#privateInstitutionAccountGroupRoleDelete) | **DELETE** /account/institution/roles/{account_id}/{group_id}/{role_id} | Delete Institution Account Group Role
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountGroupRoles**](docs/InstitutionsApi.md#privateInstitutionAccountGroupRoles) | **GET** /account/institution/roles/{account_id} | List Institution Account Group Roles
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountGroupRolesCreate**](docs/InstitutionsApi.md#privateInstitutionAccountGroupRolesCreate) | **POST** /account/institution/roles/{account_id} | Add Institution Account Group Roles
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountsCreate**](docs/InstitutionsApi.md#privateInstitutionAccountsCreate) | **POST** /account/institution/accounts | Create new Institution Account
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountsList**](docs/InstitutionsApi.md#privateInstitutionAccountsList) | **GET** /account/institution/accounts | Private Account Institution Accounts
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountsSearch**](docs/InstitutionsApi.md#privateInstitutionAccountsSearch) | **POST** /account/institution/accounts/search | Private Account Institution Accounts Search
*FigshareApi.InstitutionsApi* | [**privateInstitutionAccountsUpdate**](docs/InstitutionsApi.md#privateInstitutionAccountsUpdate) | **PUT** /account/institution/accounts/{account_id} | Update Institution Account
*FigshareApi.InstitutionsApi* | [**privateInstitutionArticles**](docs/InstitutionsApi.md#privateInstitutionArticles) | **GET** /account/institution/articles | Private Institution Articles
*FigshareApi.InstitutionsApi* | [**privateInstitutionDetails**](docs/InstitutionsApi.md#privateInstitutionDetails) | **GET** /account/institution | Private Account Institutions
*FigshareApi.InstitutionsApi* | [**privateInstitutionEmbargoOptionsDetails**](docs/InstitutionsApi.md#privateInstitutionEmbargoOptionsDetails) | **GET** /account/institution/embargo_options | Private Account Institution embargo options
*FigshareApi.InstitutionsApi* | [**privateInstitutionGroupsList**](docs/InstitutionsApi.md#privateInstitutionGroupsList) | **GET** /account/institution/groups | Private Account Institution Groups
*FigshareApi.InstitutionsApi* | [**privateInstitutionRolesList**](docs/InstitutionsApi.md#privateInstitutionRolesList) | **GET** /account/institution/roles | Private Account Institution Roles
*FigshareApi.OtherApi* | [**categoriesList**](docs/OtherApi.md#categoriesList) | **GET** /categories | Public Categories
*FigshareApi.OtherApi* | [**fileDownload**](docs/OtherApi.md#fileDownload) | **GET** /file/download/{file_id} | Public File Download
*FigshareApi.OtherApi* | [**itemTypesList**](docs/OtherApi.md#itemTypesList) | **GET** /item_types | Item Types
*FigshareApi.OtherApi* | [**licensesList**](docs/OtherApi.md#licensesList) | **GET** /licenses | Public Licenses
*FigshareApi.OtherApi* | [**privateAccount**](docs/OtherApi.md#privateAccount) | **GET** /account | Private Account information
*FigshareApi.OtherApi* | [**privateFundingSearch**](docs/OtherApi.md#privateFundingSearch) | **POST** /account/funding/search | Search Funding
*FigshareApi.OtherApi* | [**privateLicensesList**](docs/OtherApi.md#privateLicensesList) | **GET** /account/licenses | Private Account Licenses
*FigshareApi.ProjectsApi* | [**privateProjectArticleDelete**](docs/ProjectsApi.md#privateProjectArticleDelete) | **DELETE** /account/projects/{project_id}/articles/{article_id} | Delete project article
*FigshareApi.ProjectsApi* | [**privateProjectArticleDetails**](docs/ProjectsApi.md#privateProjectArticleDetails) | **GET** /account/projects/{project_id}/articles/{article_id} | Project article details
*FigshareApi.ProjectsApi* | [**privateProjectArticleFile**](docs/ProjectsApi.md#privateProjectArticleFile) | **GET** /account/projects/{project_id}/articles/{article_id}/files/{file_id} | Project article file details
*FigshareApi.ProjectsApi* | [**privateProjectArticleFiles**](docs/ProjectsApi.md#privateProjectArticleFiles) | **GET** /account/projects/{project_id}/articles/{article_id}/files | Project article list files
*FigshareApi.ProjectsApi* | [**privateProjectArticlesCreate**](docs/ProjectsApi.md#privateProjectArticlesCreate) | **POST** /account/projects/{project_id}/articles | Create project article
*FigshareApi.ProjectsApi* | [**privateProjectArticlesList**](docs/ProjectsApi.md#privateProjectArticlesList) | **GET** /account/projects/{project_id}/articles | List project articles
*FigshareApi.ProjectsApi* | [**privateProjectCollaboratorDelete**](docs/ProjectsApi.md#privateProjectCollaboratorDelete) | **DELETE** /account/projects/{project_id}/collaborators/{user_id} | Remove project collaborator
*FigshareApi.ProjectsApi* | [**privateProjectCollaboratorsInvite**](docs/ProjectsApi.md#privateProjectCollaboratorsInvite) | **POST** /account/projects/{project_id}/collaborators | Invite project collaborators
*FigshareApi.ProjectsApi* | [**privateProjectCollaboratorsList**](docs/ProjectsApi.md#privateProjectCollaboratorsList) | **GET** /account/projects/{project_id}/collaborators | List project collaborators
*FigshareApi.ProjectsApi* | [**privateProjectCreate**](docs/ProjectsApi.md#privateProjectCreate) | **POST** /account/projects | Create project
*FigshareApi.ProjectsApi* | [**privateProjectDelete**](docs/ProjectsApi.md#privateProjectDelete) | **DELETE** /account/projects/{project_id} | Delete project
*FigshareApi.ProjectsApi* | [**privateProjectDetails**](docs/ProjectsApi.md#privateProjectDetails) | **GET** /account/projects/{project_id} | View project details
*FigshareApi.ProjectsApi* | [**privateProjectLeave**](docs/ProjectsApi.md#privateProjectLeave) | **POST** /account/projects/{project_id}/leave | Private Project Leave
*FigshareApi.ProjectsApi* | [**privateProjectNote**](docs/ProjectsApi.md#privateProjectNote) | **GET** /account/projects/{project_id}/notes/{note_id} | Project note details
*FigshareApi.ProjectsApi* | [**privateProjectNoteDelete**](docs/ProjectsApi.md#privateProjectNoteDelete) | **DELETE** /account/projects/{project_id}/notes/{note_id} | Delete project note
*FigshareApi.ProjectsApi* | [**privateProjectNoteUpdate**](docs/ProjectsApi.md#privateProjectNoteUpdate) | **PUT** /account/projects/{project_id}/notes/{note_id} | Update project note
*FigshareApi.ProjectsApi* | [**privateProjectNotesCreate**](docs/ProjectsApi.md#privateProjectNotesCreate) | **POST** /account/projects/{project_id}/notes | Create project note
*FigshareApi.ProjectsApi* | [**privateProjectNotesList**](docs/ProjectsApi.md#privateProjectNotesList) | **GET** /account/projects/{project_id}/notes | List project notes
*FigshareApi.ProjectsApi* | [**privateProjectPublish**](docs/ProjectsApi.md#privateProjectPublish) | **POST** /account/projects/{project_id}/publish | Private Project Publish
*FigshareApi.ProjectsApi* | [**privateProjectUpdate**](docs/ProjectsApi.md#privateProjectUpdate) | **PUT** /account/projects/{project_id} | Update project
*FigshareApi.ProjectsApi* | [**privateProjectsList**](docs/ProjectsApi.md#privateProjectsList) | **GET** /account/projects | Private Projects
*FigshareApi.ProjectsApi* | [**privateProjectsSearch**](docs/ProjectsApi.md#privateProjectsSearch) | **POST** /account/projects/search | Private Projects search
*FigshareApi.ProjectsApi* | [**projectArticles**](docs/ProjectsApi.md#projectArticles) | **GET** /projects/{project_id}/articles | Public Project Articles
*FigshareApi.ProjectsApi* | [**projectDetails**](docs/ProjectsApi.md#projectDetails) | **GET** /projects/{project_id} | Public Project
*FigshareApi.ProjectsApi* | [**projectsList**](docs/ProjectsApi.md#projectsList) | **GET** /projects | Public Projects
*FigshareApi.ProjectsApi* | [**projectsSearch**](docs/ProjectsApi.md#projectsSearch) | **POST** /projects/search | Public Projects Search


## Documentation for Models

 - [FigshareApi.Account](docs/Account.md)
 - [FigshareApi.AccountCreate](docs/AccountCreate.md)
 - [FigshareApi.AccountGroupRoles](docs/AccountGroupRoles.md)
 - [FigshareApi.AccountGroupRolesCreate](docs/AccountGroupRolesCreate.md)
 - [FigshareApi.AccountReport](docs/AccountReport.md)
 - [FigshareApi.AccountUpdate](docs/AccountUpdate.md)
 - [FigshareApi.Article](docs/Article.md)
 - [FigshareApi.ArticleComplete](docs/ArticleComplete.md)
 - [FigshareApi.ArticleCompletePrivate](docs/ArticleCompletePrivate.md)
 - [FigshareApi.ArticleConfidentiality](docs/ArticleConfidentiality.md)
 - [FigshareApi.ArticleCreate](docs/ArticleCreate.md)
 - [FigshareApi.ArticleDOI](docs/ArticleDOI.md)
 - [FigshareApi.ArticleEmbargo](docs/ArticleEmbargo.md)
 - [FigshareApi.ArticleEmbargoUpdater](docs/ArticleEmbargoUpdater.md)
 - [FigshareApi.ArticleHandle](docs/ArticleHandle.md)
 - [FigshareApi.ArticleProjectCreate](docs/ArticleProjectCreate.md)
 - [FigshareApi.ArticleSearch](docs/ArticleSearch.md)
 - [FigshareApi.ArticleUpdate](docs/ArticleUpdate.md)
 - [FigshareApi.ArticleVersions](docs/ArticleVersions.md)
 - [FigshareApi.ArticleWithProject](docs/ArticleWithProject.md)
 - [FigshareApi.ArticlesCreator](docs/ArticlesCreator.md)
 - [FigshareApi.Author](docs/Author.md)
 - [FigshareApi.AuthorComplete](docs/AuthorComplete.md)
 - [FigshareApi.AuthorsCreator](docs/AuthorsCreator.md)
 - [FigshareApi.CategoriesCreator](docs/CategoriesCreator.md)
 - [FigshareApi.Category](docs/Category.md)
 - [FigshareApi.Collaborator](docs/Collaborator.md)
 - [FigshareApi.Collection](docs/Collection.md)
 - [FigshareApi.CollectionComplete](docs/CollectionComplete.md)
 - [FigshareApi.CollectionCompletePrivate](docs/CollectionCompletePrivate.md)
 - [FigshareApi.CollectionCreate](docs/CollectionCreate.md)
 - [FigshareApi.CollectionDOI](docs/CollectionDOI.md)
 - [FigshareApi.CollectionHandle](docs/CollectionHandle.md)
 - [FigshareApi.CollectionPrivateLinkCreator](docs/CollectionPrivateLinkCreator.md)
 - [FigshareApi.CollectionSearch](docs/CollectionSearch.md)
 - [FigshareApi.CollectionUpdate](docs/CollectionUpdate.md)
 - [FigshareApi.CollectionVersions](docs/CollectionVersions.md)
 - [FigshareApi.CommonSearch](docs/CommonSearch.md)
 - [FigshareApi.ConfidentialityCreator](docs/ConfidentialityCreator.md)
 - [FigshareApi.CreateProjectResponse](docs/CreateProjectResponse.md)
 - [FigshareApi.Curation](docs/Curation.md)
 - [FigshareApi.CurationComment](docs/CurationComment.md)
 - [FigshareApi.CurationCommentCreate](docs/CurationCommentCreate.md)
 - [FigshareApi.CurationDetail](docs/CurationDetail.md)
 - [FigshareApi.CustomArticleField](docs/CustomArticleField.md)
 - [FigshareApi.CustomArticleFieldAdd](docs/CustomArticleFieldAdd.md)
 - [FigshareApi.ErrorMessage](docs/ErrorMessage.md)
 - [FigshareApi.FileCreator](docs/FileCreator.md)
 - [FigshareApi.FileId](docs/FileId.md)
 - [FigshareApi.FundingCreate](docs/FundingCreate.md)
 - [FigshareApi.FundingInformation](docs/FundingInformation.md)
 - [FigshareApi.FundingSearch](docs/FundingSearch.md)
 - [FigshareApi.Group](docs/Group.md)
 - [FigshareApi.GroupEmbargoOptions](docs/GroupEmbargoOptions.md)
 - [FigshareApi.Institution](docs/Institution.md)
 - [FigshareApi.InstitutionAccountsSearch](docs/InstitutionAccountsSearch.md)
 - [FigshareApi.ItemType](docs/ItemType.md)
 - [FigshareApi.License](docs/License.md)
 - [FigshareApi.Location](docs/Location.md)
 - [FigshareApi.LocationWarnings](docs/LocationWarnings.md)
 - [FigshareApi.LocationWarningsUpdate](docs/LocationWarningsUpdate.md)
 - [FigshareApi.PrivateArticleSearch](docs/PrivateArticleSearch.md)
 - [FigshareApi.PrivateAuthorsSearch](docs/PrivateAuthorsSearch.md)
 - [FigshareApi.PrivateCollectionSearch](docs/PrivateCollectionSearch.md)
 - [FigshareApi.PrivateFile](docs/PrivateFile.md)
 - [FigshareApi.PrivateLink](docs/PrivateLink.md)
 - [FigshareApi.PrivateLinkCreator](docs/PrivateLinkCreator.md)
 - [FigshareApi.PrivateLinkResponse](docs/PrivateLinkResponse.md)
 - [FigshareApi.Project](docs/Project.md)
 - [FigshareApi.ProjectArticle](docs/ProjectArticle.md)
 - [FigshareApi.ProjectCollaborator](docs/ProjectCollaborator.md)
 - [FigshareApi.ProjectCollaboratorInvite](docs/ProjectCollaboratorInvite.md)
 - [FigshareApi.ProjectComplete](docs/ProjectComplete.md)
 - [FigshareApi.ProjectCompletePrivate](docs/ProjectCompletePrivate.md)
 - [FigshareApi.ProjectCreate](docs/ProjectCreate.md)
 - [FigshareApi.ProjectNote](docs/ProjectNote.md)
 - [FigshareApi.ProjectNoteCreate](docs/ProjectNoteCreate.md)
 - [FigshareApi.ProjectNotePrivate](docs/ProjectNotePrivate.md)
 - [FigshareApi.ProjectPrivate](docs/ProjectPrivate.md)
 - [FigshareApi.ProjectUpdate](docs/ProjectUpdate.md)
 - [FigshareApi.ProjectsSearch](docs/ProjectsSearch.md)
 - [FigshareApi.PublicFile](docs/PublicFile.md)
 - [FigshareApi.RelatedMaterial](docs/RelatedMaterial.md)
 - [FigshareApi.Resource](docs/Resource.md)
 - [FigshareApi.ResponseMessage](docs/ResponseMessage.md)
 - [FigshareApi.Role](docs/Role.md)
 - [FigshareApi.ShortAccount](docs/ShortAccount.md)
 - [FigshareApi.ShortCustomField](docs/ShortCustomField.md)
 - [FigshareApi.Timeline](docs/Timeline.md)
 - [FigshareApi.TimelineUpdate](docs/TimelineUpdate.md)
 - [FigshareApi.UploadFilePart](docs/UploadFilePart.md)
 - [FigshareApi.UploadInfo](docs/UploadInfo.md)
 - [FigshareApi.User](docs/User.md)


## Documentation for Authorization


### OAuth2

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://figshare.com/account/applications/authorize
- **Scopes**: 
  - all: Grants all access

