/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Article', 'model/ArticleProjectCreate', 'model/CreateProjectResponse', 'model/ErrorMessage', 'model/Location', 'model/PrivateFile', 'model/Project', 'model/ProjectArticle', 'model/ProjectCollaborator', 'model/ProjectCollaboratorInvite', 'model/ProjectComplete', 'model/ProjectCompletePrivate', 'model/ProjectCreate', 'model/ProjectNote', 'model/ProjectNoteCreate', 'model/ProjectNotePrivate', 'model/ProjectPrivate', 'model/ProjectUpdate', 'model/ProjectsSearch', 'model/ResponseMessage'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Article'), require('../model/ArticleProjectCreate'), require('../model/CreateProjectResponse'), require('../model/ErrorMessage'), require('../model/Location'), require('../model/PrivateFile'), require('../model/Project'), require('../model/ProjectArticle'), require('../model/ProjectCollaborator'), require('../model/ProjectCollaboratorInvite'), require('../model/ProjectComplete'), require('../model/ProjectCompletePrivate'), require('../model/ProjectCreate'), require('../model/ProjectNote'), require('../model/ProjectNoteCreate'), require('../model/ProjectNotePrivate'), require('../model/ProjectPrivate'), require('../model/ProjectUpdate'), require('../model/ProjectsSearch'), require('../model/ResponseMessage'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ProjectsApi = factory(root.FigshareApi.ApiClient, root.FigshareApi.Article, root.FigshareApi.ArticleProjectCreate, root.FigshareApi.CreateProjectResponse, root.FigshareApi.ErrorMessage, root.FigshareApi.Location, root.FigshareApi.PrivateFile, root.FigshareApi.Project, root.FigshareApi.ProjectArticle, root.FigshareApi.ProjectCollaborator, root.FigshareApi.ProjectCollaboratorInvite, root.FigshareApi.ProjectComplete, root.FigshareApi.ProjectCompletePrivate, root.FigshareApi.ProjectCreate, root.FigshareApi.ProjectNote, root.FigshareApi.ProjectNoteCreate, root.FigshareApi.ProjectNotePrivate, root.FigshareApi.ProjectPrivate, root.FigshareApi.ProjectUpdate, root.FigshareApi.ProjectsSearch, root.FigshareApi.ResponseMessage);
  }
}(this, function(ApiClient, Article, ArticleProjectCreate, CreateProjectResponse, ErrorMessage, Location, PrivateFile, Project, ProjectArticle, ProjectCollaborator, ProjectCollaboratorInvite, ProjectComplete, ProjectCompletePrivate, ProjectCreate, ProjectNote, ProjectNoteCreate, ProjectNotePrivate, ProjectPrivate, ProjectUpdate, ProjectsSearch, ResponseMessage) {
  'use strict';

  /**
   * Projects service.
   * @module api/ProjectsApi
   * @version 2.0.0
   */

  /**
   * Constructs a new ProjectsApi. 
   * @alias module:api/ProjectsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the privateProjectArticleDelete operation.
     * @callback module:api/ProjectsApi~privateProjectArticleDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete project article
     * Delete project article
     * @param {Number} projectId Project unique identifier
     * @param {Number} articleId Project Article unique identifier
     * @param {module:api/ProjectsApi~privateProjectArticleDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectArticleDelete = function(projectId, articleId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticleDelete");
      }

      // verify the required parameter 'articleId' is set
      if (articleId === undefined || articleId === null) {
        throw new Error("Missing the required parameter 'articleId' when calling privateProjectArticleDelete");
      }


      var pathParams = {
        'project_id': projectId,
        'article_id': articleId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles/{article_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectArticleDetails operation.
     * @callback module:api/ProjectsApi~privateProjectArticleDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ProjectArticle} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Project article details
     * Project article details
     * @param {Number} projectId Project unique identifier
     * @param {Number} articleId Project Article unique identifier
     * @param {module:api/ProjectsApi~privateProjectArticleDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ProjectArticle}
     */
    this.privateProjectArticleDetails = function(projectId, articleId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticleDetails");
      }

      // verify the required parameter 'articleId' is set
      if (articleId === undefined || articleId === null) {
        throw new Error("Missing the required parameter 'articleId' when calling privateProjectArticleDetails");
      }


      var pathParams = {
        'project_id': projectId,
        'article_id': articleId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ProjectArticle;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles/{article_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectArticleFile operation.
     * @callback module:api/ProjectsApi~privateProjectArticleFileCallback
     * @param {String} error Error message, if any.
     * @param {module:model/PrivateFile} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Project article file details
     * Project article file details
     * @param {Number} projectId Project unique identifier
     * @param {Number} articleId Project Article unique identifier
     * @param {Number} fileId File unique identifier
     * @param {module:api/ProjectsApi~privateProjectArticleFileCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/PrivateFile}
     */
    this.privateProjectArticleFile = function(projectId, articleId, fileId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticleFile");
      }

      // verify the required parameter 'articleId' is set
      if (articleId === undefined || articleId === null) {
        throw new Error("Missing the required parameter 'articleId' when calling privateProjectArticleFile");
      }

      // verify the required parameter 'fileId' is set
      if (fileId === undefined || fileId === null) {
        throw new Error("Missing the required parameter 'fileId' when calling privateProjectArticleFile");
      }


      var pathParams = {
        'project_id': projectId,
        'article_id': articleId,
        'file_id': fileId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = PrivateFile;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles/{article_id}/files/{file_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectArticleFiles operation.
     * @callback module:api/ProjectsApi~privateProjectArticleFilesCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/PrivateFile>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Project article list files
     * List article files
     * @param {Number} projectId Project unique identifier
     * @param {Number} articleId Project Article unique identifier
     * @param {module:api/ProjectsApi~privateProjectArticleFilesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/PrivateFile>}
     */
    this.privateProjectArticleFiles = function(projectId, articleId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticleFiles");
      }

      // verify the required parameter 'articleId' is set
      if (articleId === undefined || articleId === null) {
        throw new Error("Missing the required parameter 'articleId' when calling privateProjectArticleFiles");
      }


      var pathParams = {
        'project_id': projectId,
        'article_id': articleId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [PrivateFile];

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles/{article_id}/files', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectArticlesCreate operation.
     * @callback module:api/ProjectsApi~privateProjectArticlesCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Location} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create project article
     * Create a new Article and associate it with this project
     * @param {Number} projectId Project unique identifier
     * @param {module:model/ArticleProjectCreate} article Article description
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page Page number. Used for pagination with page_size
     * @param {Number} opts.pageSize The number of results included on a page. Used for pagination with page (default to 10)
     * @param {Number} opts.limit Number of results included on a page. Used for pagination with query
     * @param {Number} opts.offset Where to start the listing(the offset of the first result). Used for pagination with limit
     * @param {module:api/ProjectsApi~privateProjectArticlesCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Location}
     */
    this.privateProjectArticlesCreate = function(projectId, article, opts, callback) {
      opts = opts || {};
      var postBody = article;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticlesCreate");
      }

      // verify the required parameter 'article' is set
      if (article === undefined || article === null) {
        throw new Error("Missing the required parameter 'article' when calling privateProjectArticlesCreate");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
        'page': opts['page'],
        'page_size': opts['pageSize'],
        'limit': opts['limit'],
        'offset': opts['offset'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = Location;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectArticlesList operation.
     * @callback module:api/ProjectsApi~privateProjectArticlesListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Article>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * List project articles
     * List project articles
     * @param {Number} projectId Project unique identifier
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page Page number. Used for pagination with page_size
     * @param {Number} opts.pageSize The number of results included on a page. Used for pagination with page (default to 10)
     * @param {Number} opts.limit Number of results included on a page. Used for pagination with query
     * @param {Number} opts.offset Where to start the listing(the offset of the first result). Used for pagination with limit
     * @param {module:api/ProjectsApi~privateProjectArticlesListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Article>}
     */
    this.privateProjectArticlesList = function(projectId, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectArticlesList");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
        'page': opts['page'],
        'page_size': opts['pageSize'],
        'limit': opts['limit'],
        'offset': opts['offset'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [Article];

      return this.apiClient.callApi(
        '/account/projects/{project_id}/articles', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectCollaboratorDelete operation.
     * @callback module:api/ProjectsApi~privateProjectCollaboratorDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Remove project collaborator
     * Remove project collaborator
     * @param {Number} projectId Project unique identifier
     * @param {Number} userId User unique identifier
     * @param {module:api/ProjectsApi~privateProjectCollaboratorDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectCollaboratorDelete = function(projectId, userId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectCollaboratorDelete");
      }

      // verify the required parameter 'userId' is set
      if (userId === undefined || userId === null) {
        throw new Error("Missing the required parameter 'userId' when calling privateProjectCollaboratorDelete");
      }


      var pathParams = {
        'project_id': projectId,
        'user_id': userId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/collaborators/{user_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectCollaboratorsInvite operation.
     * @callback module:api/ProjectsApi~privateProjectCollaboratorsInviteCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ResponseMessage} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Invite project collaborators
     * Invite users to collaborate on project or view the project
     * @param {Number} projectId Project unique identifier
     * @param {module:model/ProjectCollaboratorInvite} collaborator viewer or collaborator role. User user_id or email of user
     * @param {module:api/ProjectsApi~privateProjectCollaboratorsInviteCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ResponseMessage}
     */
    this.privateProjectCollaboratorsInvite = function(projectId, collaborator, callback) {
      var postBody = collaborator;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectCollaboratorsInvite");
      }

      // verify the required parameter 'collaborator' is set
      if (collaborator === undefined || collaborator === null) {
        throw new Error("Missing the required parameter 'collaborator' when calling privateProjectCollaboratorsInvite");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ResponseMessage;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/collaborators', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectCollaboratorsList operation.
     * @callback module:api/ProjectsApi~privateProjectCollaboratorsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/ProjectCollaborator>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * List project collaborators
     * List Project collaborators and invited users
     * @param {Number} projectId Project unique identifier
     * @param {module:api/ProjectsApi~privateProjectCollaboratorsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/ProjectCollaborator>}
     */
    this.privateProjectCollaboratorsList = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectCollaboratorsList");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [ProjectCollaborator];

      return this.apiClient.callApi(
        '/account/projects/{project_id}/collaborators', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectCreate operation.
     * @callback module:api/ProjectsApi~privateProjectCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/CreateProjectResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create project
     * Create a new project
     * @param {module:model/ProjectCreate} project Project  description
     * @param {module:api/ProjectsApi~privateProjectCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/CreateProjectResponse}
     */
    this.privateProjectCreate = function(project, callback) {
      var postBody = project;

      // verify the required parameter 'project' is set
      if (project === undefined || project === null) {
        throw new Error("Missing the required parameter 'project' when calling privateProjectCreate");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = CreateProjectResponse;

      return this.apiClient.callApi(
        '/account/projects', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectDelete operation.
     * @callback module:api/ProjectsApi~privateProjectDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete project
     * A project can be deleted only if: - it is not public - it does not have public articles.  When an individual project is deleted, all the articles are moved to my data of each owner.  When a group project is deleted, all the articles and files are deleted as well. Only project owner, group admin and above can delete a project. 
     * @param {Number} projectId Project unique identifier
     * @param {module:api/ProjectsApi~privateProjectDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectDelete = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectDelete");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectDetails operation.
     * @callback module:api/ProjectsApi~privateProjectDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ProjectCompletePrivate} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * View project details
     * View a private project
     * @param {Number} projectId Project unique identifier
     * @param {module:api/ProjectsApi~privateProjectDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ProjectCompletePrivate}
     */
    this.privateProjectDetails = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectDetails");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ProjectCompletePrivate;

      return this.apiClient.callApi(
        '/account/projects/{project_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectLeave operation.
     * @callback module:api/ProjectsApi~privateProjectLeaveCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Private Project Leave
     * Please note: project's owner cannot leave the project.
     * @param {Number} projectId Project unique identifier
     * @param {module:api/ProjectsApi~privateProjectLeaveCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectLeave = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectLeave");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/leave', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectNote operation.
     * @callback module:api/ProjectsApi~privateProjectNoteCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ProjectNotePrivate} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Project note details
     * @param {Number} projectId Project unique identifier
     * @param {Number} noteId Note unique identifier
     * @param {module:api/ProjectsApi~privateProjectNoteCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ProjectNotePrivate}
     */
    this.privateProjectNote = function(projectId, noteId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectNote");
      }

      // verify the required parameter 'noteId' is set
      if (noteId === undefined || noteId === null) {
        throw new Error("Missing the required parameter 'noteId' when calling privateProjectNote");
      }


      var pathParams = {
        'project_id': projectId,
        'note_id': noteId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ProjectNotePrivate;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/notes/{note_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectNoteDelete operation.
     * @callback module:api/ProjectsApi~privateProjectNoteDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete project note
     * @param {Number} projectId Project unique identifier
     * @param {Number} noteId Note unique identifier
     * @param {module:api/ProjectsApi~privateProjectNoteDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectNoteDelete = function(projectId, noteId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectNoteDelete");
      }

      // verify the required parameter 'noteId' is set
      if (noteId === undefined || noteId === null) {
        throw new Error("Missing the required parameter 'noteId' when calling privateProjectNoteDelete");
      }


      var pathParams = {
        'project_id': projectId,
        'note_id': noteId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/notes/{note_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectNoteUpdate operation.
     * @callback module:api/ProjectsApi~privateProjectNoteUpdateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update project note
     * @param {Number} projectId Project unique identifier
     * @param {Number} noteId Note unique identifier
     * @param {module:model/ProjectNoteCreate} note Note message
     * @param {module:api/ProjectsApi~privateProjectNoteUpdateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectNoteUpdate = function(projectId, noteId, note, callback) {
      var postBody = note;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectNoteUpdate");
      }

      // verify the required parameter 'noteId' is set
      if (noteId === undefined || noteId === null) {
        throw new Error("Missing the required parameter 'noteId' when calling privateProjectNoteUpdate");
      }

      // verify the required parameter 'note' is set
      if (note === undefined || note === null) {
        throw new Error("Missing the required parameter 'note' when calling privateProjectNoteUpdate");
      }


      var pathParams = {
        'project_id': projectId,
        'note_id': noteId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/notes/{note_id}', 'PUT',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectNotesCreate operation.
     * @callback module:api/ProjectsApi~privateProjectNotesCreateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Location} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create project note
     * Create a new project note
     * @param {Number} projectId Project unique identifier
     * @param {module:model/ProjectNoteCreate} note Note message
     * @param {module:api/ProjectsApi~privateProjectNotesCreateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Location}
     */
    this.privateProjectNotesCreate = function(projectId, note, callback) {
      var postBody = note;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectNotesCreate");
      }

      // verify the required parameter 'note' is set
      if (note === undefined || note === null) {
        throw new Error("Missing the required parameter 'note' when calling privateProjectNotesCreate");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = Location;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/notes', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectNotesList operation.
     * @callback module:api/ProjectsApi~privateProjectNotesListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/ProjectNote>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * List project notes
     * List project notes
     * @param {Number} projectId Project unique identifier
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page Page number. Used for pagination with page_size
     * @param {Number} opts.pageSize The number of results included on a page. Used for pagination with page (default to 10)
     * @param {Number} opts.limit Number of results included on a page. Used for pagination with query
     * @param {Number} opts.offset Where to start the listing(the offset of the first result). Used for pagination with limit
     * @param {module:api/ProjectsApi~privateProjectNotesListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/ProjectNote>}
     */
    this.privateProjectNotesList = function(projectId, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectNotesList");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
        'page': opts['page'],
        'page_size': opts['pageSize'],
        'limit': opts['limit'],
        'offset': opts['offset'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [ProjectNote];

      return this.apiClient.callApi(
        '/account/projects/{project_id}/notes', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectPublish operation.
     * @callback module:api/ProjectsApi~privateProjectPublishCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ResponseMessage} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Private Project Publish
     * Publish a project. Possible after all items inside it are public
     * @param {Number} projectId Project unique identifier
     * @param {module:api/ProjectsApi~privateProjectPublishCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ResponseMessage}
     */
    this.privateProjectPublish = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectPublish");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ResponseMessage;

      return this.apiClient.callApi(
        '/account/projects/{project_id}/publish', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectUpdate operation.
     * @callback module:api/ProjectsApi~privateProjectUpdateCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update project
     * Updating an project by passing body parameters; request can also be made with the PATCH method.
     * @param {Number} projectId Project unique identifier
     * @param {module:model/ProjectUpdate} project Project description
     * @param {module:api/ProjectsApi~privateProjectUpdateCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.privateProjectUpdate = function(projectId, project, callback) {
      var postBody = project;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling privateProjectUpdate");
      }

      // verify the required parameter 'project' is set
      if (project === undefined || project === null) {
        throw new Error("Missing the required parameter 'project' when calling privateProjectUpdate");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/account/projects/{project_id}', 'PUT',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectsList operation.
     * @callback module:api/ProjectsApi~privateProjectsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/ProjectPrivate>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Private Projects
     * List private projects
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page Page number. Used for pagination with page_size
     * @param {Number} opts.pageSize The number of results included on a page. Used for pagination with page (default to 10)
     * @param {Number} opts.limit Number of results included on a page. Used for pagination with query
     * @param {Number} opts.offset Where to start the listing(the offset of the first result). Used for pagination with limit
     * @param {module:model/String} opts.order The field by which to order. (default to published_date)
     * @param {module:model/String} opts.orderDirection  (default to desc)
     * @param {module:model/String} opts.storage only return collections from this institution
     * @param {String} opts.roles Any combination of owner, collaborator, viewer separated by comma. Examples: \"owner\" or \"owner,collaborator\".
     * @param {module:api/ProjectsApi~privateProjectsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/ProjectPrivate>}
     */
    this.privateProjectsList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'page': opts['page'],
        'page_size': opts['pageSize'],
        'limit': opts['limit'],
        'offset': opts['offset'],
        'order': opts['order'],
        'order_direction': opts['orderDirection'],
        'storage': opts['storage'],
        'roles': opts['roles'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['OAuth2'];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [ProjectPrivate];

      return this.apiClient.callApi(
        '/account/projects', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the privateProjectsSearch operation.
     * @callback module:api/ProjectsApi~privateProjectsSearchCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/ProjectPrivate>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Private Projects search
     * Search inside the private projects
     * @param {Object} opts Optional parameters
     * @param {module:model/ProjectsSearch} opts.search Search Parameters
     * @param {module:api/ProjectsApi~privateProjectsSearchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/ProjectPrivate>}
     */
    this.privateProjectsSearch = function(opts, callback) {
      opts = opts || {};
      var postBody = opts['search'];


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [ProjectPrivate];

      return this.apiClient.callApi(
        '/account/projects/search', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the projectArticles operation.
     * @callback module:api/ProjectsApi~projectArticlesCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Article>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Public Project Articles
     * List articles in project
     * @param {Number} projectId Project Unique identifier
     * @param {module:api/ProjectsApi~projectArticlesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Article>}
     */
    this.projectArticles = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling projectArticles");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [Article];

      return this.apiClient.callApi(
        '/projects/{project_id}/articles', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the projectDetails operation.
     * @callback module:api/ProjectsApi~projectDetailsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ProjectComplete} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Public Project
     * View a project
     * @param {Number} projectId Project Unique identifier
     * @param {module:api/ProjectsApi~projectDetailsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ProjectComplete}
     */
    this.projectDetails = function(projectId, callback) {
      var postBody = null;

      // verify the required parameter 'projectId' is set
      if (projectId === undefined || projectId === null) {
        throw new Error("Missing the required parameter 'projectId' when calling projectDetails");
      }


      var pathParams = {
        'project_id': projectId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = ProjectComplete;

      return this.apiClient.callApi(
        '/projects/{project_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the projectsList operation.
     * @callback module:api/ProjectsApi~projectsListCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Project>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Public Projects
     * Returns a list of public projects
     * @param {Object} opts Optional parameters
     * @param {String} opts.xCursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected.
     * @param {Number} opts.page Page number. Used for pagination with page_size
     * @param {Number} opts.pageSize The number of results included on a page. Used for pagination with page (default to 10)
     * @param {Number} opts.limit Number of results included on a page. Used for pagination with query
     * @param {Number} opts.offset Where to start the listing(the offset of the first result). Used for pagination with limit
     * @param {module:model/String} opts.order The field by which to order. Default varies by endpoint/resource. (default to published_date)
     * @param {module:model/String} opts.orderDirection  (default to desc)
     * @param {Number} opts.institution only return collections from this institution
     * @param {String} opts.publishedSince Filter by article publishing date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
     * @param {Number} opts.group only return collections from this group
     * @param {module:api/ProjectsApi~projectsListCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Project>}
     */
    this.projectsList = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'page': opts['page'],
        'page_size': opts['pageSize'],
        'limit': opts['limit'],
        'offset': opts['offset'],
        'order': opts['order'],
        'order_direction': opts['orderDirection'],
        'institution': opts['institution'],
        'published_since': opts['publishedSince'],
        'group': opts['group'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
        'X-Cursor': opts['xCursor']
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [Project];

      return this.apiClient.callApi(
        '/projects', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the projectsSearch operation.
     * @callback module:api/ProjectsApi~projectsSearchCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Project>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Public Projects Search
     * Returns a list of public articles
     * @param {Object} opts Optional parameters
     * @param {String} opts.xCursor Unique hash used for bypassing the item retrieval limit of 9,000 entities. When using this parameter, please note that the offset parameter will not be available, but the limit parameter will still work as expected.
     * @param {module:model/ProjectsSearch} opts.search Search Parameters
     * @param {module:api/ProjectsApi~projectsSearchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Project>}
     */
    this.projectsSearch = function(opts, callback) {
      opts = opts || {};
      var postBody = opts['search'];


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
        'X-Cursor': opts['xCursor']
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = [Project];

      return this.apiClient.callApi(
        '/projects/search', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
