/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.AccountCreate = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The AccountCreate model module.
   * @module model/AccountCreate
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>AccountCreate</code>.
   * @alias module:model/AccountCreate
   * @class
   * @param email {String} Email of account
   * @param firstName {String} First Name
   */
  var exports = function(email, firstName) {
    this.email = email;
    this.firstName = firstName;
  };

  /**
   * Constructs a <code>AccountCreate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/AccountCreate} obj Optional instance to populate.
   * @return {module:model/AccountCreate} The populated <code>AccountCreate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('email'))
        obj.email = ApiClient.convertToType(data['email'], 'String');
      if (data.hasOwnProperty('first_name'))
        obj.firstName = ApiClient.convertToType(data['first_name'], 'String');
      if (data.hasOwnProperty('last_name'))
        obj.lastName = ApiClient.convertToType(data['last_name'], 'String');
      if (data.hasOwnProperty('group_id'))
        obj.groupId = ApiClient.convertToType(data['group_id'], 'Number');
      if (data.hasOwnProperty('institution_user_id'))
        obj.institutionUserId = ApiClient.convertToType(data['institution_user_id'], 'String');
      if (data.hasOwnProperty('symplectic_user_id'))
        obj.symplecticUserId = ApiClient.convertToType(data['symplectic_user_id'], 'String');
      if (data.hasOwnProperty('quota'))
        obj.quota = ApiClient.convertToType(data['quota'], 'Number');
      if (data.hasOwnProperty('is_active'))
        obj.isActive = ApiClient.convertToType(data['is_active'], 'Boolean');
    }
    return obj;
  }

  /**
   * Email of account
   * @member {String} email
   */
  exports.prototype.email = undefined;

  /**
   * First Name
   * @member {String} firstName
   * @default ''
   */
  exports.prototype.firstName = '';

  /**
   * Last Name
   * @member {String} lastName
   * @default ''
   */
  exports.prototype.lastName = '';

  /**
   * Not applicable to regular users. This field is reserved to institutions/publishers with access to assign to specific groups
   * @member {Number} groupId
   */
  exports.prototype.groupId = undefined;

  /**
   * Institution user id
   * @member {String} institutionUserId
   * @default ''
   */
  exports.prototype.institutionUserId = '';

  /**
   * Symplectic user id
   * @member {String} symplecticUserId
   * @default ''
   */
  exports.prototype.symplecticUserId = '';

  /**
   * Account quota
   * @member {Number} quota
   */
  exports.prototype.quota = undefined;

  /**
   * Is account active
   * @member {Boolean} isActive
   */
  exports.prototype.isActive = undefined;


  return exports;

}));
