/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Author', 'model/Category', 'model/CustomArticleField', 'model/FundingInformation', 'model/GroupEmbargoOptions', 'model/License', 'model/ProjectArticle', 'model/PublicFile', 'model/RelatedMaterial', 'model/Timeline'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Author'), require('./Category'), require('./CustomArticleField'), require('./FundingInformation'), require('./GroupEmbargoOptions'), require('./License'), require('./ProjectArticle'), require('./PublicFile'), require('./RelatedMaterial'), require('./Timeline'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ArticleComplete = factory(root.FigshareApi.ApiClient, root.FigshareApi.Author, root.FigshareApi.Category, root.FigshareApi.CustomArticleField, root.FigshareApi.FundingInformation, root.FigshareApi.GroupEmbargoOptions, root.FigshareApi.License, root.FigshareApi.ProjectArticle, root.FigshareApi.PublicFile, root.FigshareApi.RelatedMaterial, root.FigshareApi.Timeline);
  }
}(this, function(ApiClient, Author, Category, CustomArticleField, FundingInformation, GroupEmbargoOptions, License, ProjectArticle, PublicFile, RelatedMaterial, Timeline) {
  'use strict';

  /**
   * The ArticleComplete model module.
   * @module model/ArticleComplete
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ArticleComplete</code>.
   * @alias module:model/ArticleComplete
   * @class
   * @extends module:model/ProjectArticle
   * @implements module:model/ProjectArticle
   * @param id {Number} Unique identifier for article
   * @param title {String} Title of article
   * @param doi {String} DOI
   * @param handle {String} Handle
   * @param url {String} Api endpoint for article
   * @param urlPublicHtml {String} Public site endpoint for article
   * @param urlPublicApi {String} Public Api endpoint for article
   * @param urlPrivateHtml {String} Private site endpoint for article
   * @param urlPrivateApi {String} Private Api endpoint for article
   * @param timeline {module:model/Timeline} Various timeline dates
   * @param thumb {String} Thumbnail image
   * @param definedType {Number} Type of article identifier
   * @param definedTypeName {String} Name of the article type identifier
   */
  var exports = function(id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName) {
    ProjectArticle.call(this, id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName);
    ProjectArticle.call(this, id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName);
    this.figshareUrl = figshareUrl;
    this.downloadDisabled = downloadDisabled;
    this.files = files;
    this.authors = authors;
    this.customFields = customFields;
    this.embargoOptions = embargoOptions;
  };

  /**
   * Constructs a <code>ArticleComplete</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ArticleComplete} obj Optional instance to populate.
   * @return {module:model/ArticleComplete} The populated <code>ArticleComplete</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      ProjectArticle.constructFromObject(data, obj);
      ProjectArticle.constructFromObject(data, obj);
      if (data.hasOwnProperty('figshare_url'))
        obj.figshareUrl = ApiClient.convertToType(data['figshare_url'], 'String');
      if (data.hasOwnProperty('download_disabled'))
        obj.downloadDisabled = ApiClient.convertToType(data['download_disabled'], 'Boolean');
      if (data.hasOwnProperty('files'))
        obj.files = ApiClient.convertToType(data['files'], [PublicFile]);
      if (data.hasOwnProperty('authors'))
        obj.authors = ApiClient.convertToType(data['authors'], [Author]);
      if (data.hasOwnProperty('custom_fields'))
        obj.customFields = ApiClient.convertToType(data['custom_fields'], [CustomArticleField]);
      if (data.hasOwnProperty('embargo_options'))
        obj.embargoOptions = ApiClient.convertToType(data['embargo_options'], [GroupEmbargoOptions]);
    }
    return obj;
  }

  exports.prototype = Object.create(ProjectArticle.prototype);
  exports.prototype.constructor = exports;
  /**
   * Article public url
   * @member {String} figshareUrl
   */
  exports.prototype.figshareUrl = undefined;

  /**
   * If true, downloading of files for this article is disabled
   * @member {Boolean} downloadDisabled
   */
  exports.prototype.downloadDisabled = undefined;

  /**
   * List of article files
   * @member {Array.<module:model/PublicFile>} files
   */
  exports.prototype.files = undefined;

  /**
   * List of article authors
   * @member {Array.<module:model/Author>} authors
   */
  exports.prototype.authors = undefined;

  /**
   * List of custom fields values
   * @member {Array.<module:model/CustomArticleField>} customFields
   */
  exports.prototype.customFields = undefined;

  /**
   * List of embargo options
   * @member {Array.<module:model/GroupEmbargoOptions>} embargoOptions
   */
  exports.prototype.embargoOptions = undefined;


  // Implement ProjectArticle interface:
  /**
   * Unique identifier for article
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * Title of article
   * @member {String} title
   */
  exports.prototype.title = undefined;

  /**
   * DOI
   * @member {String} doi
   */
  exports.prototype.doi = undefined;

  /**
   * Handle
   * @member {String} handle
   */
  exports.prototype.handle = undefined;

  /**
   * Api endpoint for article
   * @member {String} url
   */
  exports.prototype.url = undefined;

  /**
   * Public site endpoint for article
   * @member {String} urlPublicHtml
   */
  exports.prototype.urlPublicHtml = undefined;

  /**
   * Public Api endpoint for article
   * @member {String} urlPublicApi
   */
  exports.prototype.urlPublicApi = undefined;

  /**
   * Private site endpoint for article
   * @member {String} urlPrivateHtml
   */
  exports.prototype.urlPrivateHtml = undefined;

  /**
   * Private Api endpoint for article
   * @member {String} urlPrivateApi
   */
  exports.prototype.urlPrivateApi = undefined;

  /**
   * Various timeline dates
   * @member {module:model/Timeline} timeline
   */
  exports.prototype.timeline = undefined;

  /**
   * Thumbnail image
   * @member {String} thumb
   */
  exports.prototype.thumb = undefined;

  /**
   * Type of article identifier
   * @member {Number} definedType
   */
  exports.prototype.definedType = undefined;

  /**
   * Name of the article type identifier
   * @member {String} definedTypeName
   */
  exports.prototype.definedTypeName = undefined;

  return exports;

}));
