/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ArticleComplete', 'model/Author', 'model/Category', 'model/CustomArticleField', 'model/FundingInformation', 'model/GroupEmbargoOptions', 'model/License', 'model/PublicFile', 'model/RelatedMaterial', 'model/Timeline'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ArticleComplete'), require('./Author'), require('./Category'), require('./CustomArticleField'), require('./FundingInformation'), require('./GroupEmbargoOptions'), require('./License'), require('./PublicFile'), require('./RelatedMaterial'), require('./Timeline'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ArticleCompletePrivate = factory(root.FigshareApi.ApiClient, root.FigshareApi.ArticleComplete, root.FigshareApi.Author, root.FigshareApi.Category, root.FigshareApi.CustomArticleField, root.FigshareApi.FundingInformation, root.FigshareApi.GroupEmbargoOptions, root.FigshareApi.License, root.FigshareApi.PublicFile, root.FigshareApi.RelatedMaterial, root.FigshareApi.Timeline);
  }
}(this, function(ApiClient, ArticleComplete, Author, Category, CustomArticleField, FundingInformation, GroupEmbargoOptions, License, PublicFile, RelatedMaterial, Timeline) {
  'use strict';

  /**
   * The ArticleCompletePrivate model module.
   * @module model/ArticleCompletePrivate
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ArticleCompletePrivate</code>.
   * @alias module:model/ArticleCompletePrivate
   * @class
   * @extends module:model/ArticleComplete
   * @implements module:model/ArticleComplete
   * @param id {Number} Unique identifier for article
   * @param title {String} Title of article
   * @param doi {String} DOI
   * @param handle {String} Handle
   * @param url {String} Api endpoint for article
   * @param urlPublicHtml {String} Public site endpoint for article
   * @param urlPublicApi {String} Public Api endpoint for article
   * @param urlPrivateHtml {String} Private site endpoint for article
   * @param urlPrivateApi {String} Private Api endpoint for article
   * @param timeline {module:model/Timeline} Various timeline dates
   * @param thumb {String} Thumbnail image
   * @param definedType {Number} Type of article identifier
   * @param definedTypeName {String} Name of the article type identifier
   */
  var exports = function(id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName) {
    ArticleComplete.call(this, id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName);
    ArticleComplete.call(this, id, title, doi, handle, url, urlPublicHtml, urlPublicApi, urlPrivateHtml, urlPrivateApi, timeline, thumb, definedType, definedTypeName);
    this.accountId = accountId;
  };

  /**
   * Constructs a <code>ArticleCompletePrivate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ArticleCompletePrivate} obj Optional instance to populate.
   * @return {module:model/ArticleCompletePrivate} The populated <code>ArticleCompletePrivate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      ArticleComplete.constructFromObject(data, obj);
      ArticleComplete.constructFromObject(data, obj);
      if (data.hasOwnProperty('account_id'))
        obj.accountId = ApiClient.convertToType(data['account_id'], 'Number');
    }
    return obj;
  }

  exports.prototype = Object.create(ArticleComplete.prototype);
  exports.prototype.constructor = exports;
  /**
   * ID of the account owning the article
   * @member {Number} accountId
   */
  exports.prototype.accountId = undefined;


  // Implement ArticleComplete interface:
  /**
   * Article citation
   * @member {String} citation
   */
  exports.prototype.citation = undefined;

  /**
   * Confidentiality reason
   * @member {String} confidentialReason
   */
  exports.prototype.confidentialReason = undefined;

  /**
   * Article Confidentiality
   * @member {Boolean} isConfidential
   */
  exports.prototype.isConfidential = undefined;

  /**
   * Article size
   * @member {Number} size
   */
  exports.prototype.size = undefined;

  /**
   * Article funding
   * @member {String} funding
   */
  exports.prototype.funding = undefined;

  /**
   * Full Article funding information
   * @member {Array.<module:model/FundingInformation>} fundingList
   */
  exports.prototype.fundingList = undefined;

  /**
   * List of article tags
   * @member {Array.<String>} tags
   */
  exports.prototype.tags = undefined;

  /**
   * Article version
   * @member {Number} version
   */
  exports.prototype.version = undefined;

  /**
   * True if article is active
   * @member {Boolean} isActive
   */
  exports.prototype.isActive = undefined;

  /**
   * True if article has no files
   * @member {Boolean} isMetadataRecord
   */
  exports.prototype.isMetadataRecord = undefined;

  /**
   * Article metadata reason
   * @member {String} metadataReason
   */
  exports.prototype.metadataReason = undefined;

  /**
   * Article status
   * @member {String} status
   */
  exports.prototype.status = undefined;

  /**
   * Article description
   * @member {String} description
   */
  exports.prototype.description = undefined;

  /**
   * True if article is embargoed
   * @member {Boolean} isEmbargoed
   */
  exports.prototype.isEmbargoed = undefined;

  /**
   * True if article is published
   * @member {Boolean} isPublic
   */
  exports.prototype.isPublic = undefined;

  /**
   * Date when article was created
   * @member {String} createdDate
   */
  exports.prototype.createdDate = undefined;

  /**
   * True if any files are linked to the article
   * @member {Boolean} hasLinkedFile
   */
  exports.prototype.hasLinkedFile = undefined;

  /**
   * List of categories selected for the article
   * @member {Array.<module:model/Category>} categories
   */
  exports.prototype.categories = undefined;

  /**
   * Article selected license
   * @member {module:model/License} license
   */
  exports.prototype.license = undefined;

  /**
   * Title for embargo
   * @member {String} embargoTitle
   */
  exports.prototype.embargoTitle = undefined;

  /**
   * Reason for embargo
   * @member {String} embargoReason
   */
  exports.prototype.embargoReason = undefined;

  /**
   * List of references
   * @member {Array.<String>} references
   */
  exports.prototype.references = undefined;

  /**
   * List of related materials; supersedes references and resource DOI/title.
   * @member {Array.<module:model/RelatedMaterial>} relatedMaterials
   */
  exports.prototype.relatedMaterials = undefined;

  /**
   * Unique identifier for article
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * Title of article
   * @member {String} title
   */
  exports.prototype.title = undefined;

  /**
   * DOI
   * @member {String} doi
   */
  exports.prototype.doi = undefined;

  /**
   * Handle
   * @member {String} handle
   */
  exports.prototype.handle = undefined;

  /**
   * Api endpoint for article
   * @member {String} url
   */
  exports.prototype.url = undefined;

  /**
   * Public site endpoint for article
   * @member {String} urlPublicHtml
   */
  exports.prototype.urlPublicHtml = undefined;

  /**
   * Public Api endpoint for article
   * @member {String} urlPublicApi
   */
  exports.prototype.urlPublicApi = undefined;

  /**
   * Private site endpoint for article
   * @member {String} urlPrivateHtml
   */
  exports.prototype.urlPrivateHtml = undefined;

  /**
   * Private Api endpoint for article
   * @member {String} urlPrivateApi
   */
  exports.prototype.urlPrivateApi = undefined;

  /**
   * Various timeline dates
   * @member {module:model/Timeline} timeline
   */
  exports.prototype.timeline = undefined;

  /**
   * Thumbnail image
   * @member {String} thumb
   */
  exports.prototype.thumb = undefined;

  /**
   * Type of article identifier
   * @member {Number} definedType
   */
  exports.prototype.definedType = undefined;

  /**
   * Name of the article type identifier
   * @member {String} definedTypeName
   */
  exports.prototype.definedTypeName = undefined;

  return exports;

}));
