/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/CustomArticleFieldAdd', 'model/FundingCreate', 'model/RelatedMaterial', 'model/TimelineUpdate'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./CustomArticleFieldAdd'), require('./FundingCreate'), require('./RelatedMaterial'), require('./TimelineUpdate'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ArticleProjectCreate = factory(root.FigshareApi.ApiClient, root.FigshareApi.CustomArticleFieldAdd, root.FigshareApi.FundingCreate, root.FigshareApi.RelatedMaterial, root.FigshareApi.TimelineUpdate);
  }
}(this, function(ApiClient, CustomArticleFieldAdd, FundingCreate, RelatedMaterial, TimelineUpdate) {
  'use strict';

  /**
   * The ArticleProjectCreate model module.
   * @module model/ArticleProjectCreate
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ArticleProjectCreate</code>.
   * @alias module:model/ArticleProjectCreate
   * @class
   * @param title {String} Title of article
   */
  var exports = function(title) {
    this.title = title;
  };

  /**
   * Constructs a <code>ArticleProjectCreate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ArticleProjectCreate} obj Optional instance to populate.
   * @return {module:model/ArticleProjectCreate} The populated <code>ArticleProjectCreate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('title'))
        obj.title = ApiClient.convertToType(data['title'], 'String');
      if (data.hasOwnProperty('description'))
        obj.description = ApiClient.convertToType(data['description'], 'String');
      if (data.hasOwnProperty('tags'))
        obj.tags = ApiClient.convertToType(data['tags'], ['String']);
      if (data.hasOwnProperty('keywords'))
        obj.keywords = ApiClient.convertToType(data['keywords'], ['String']);
      if (data.hasOwnProperty('references'))
        obj.references = ApiClient.convertToType(data['references'], ['String']);
      if (data.hasOwnProperty('related_materials'))
        obj.relatedMaterials = ApiClient.convertToType(data['related_materials'], [RelatedMaterial]);
      if (data.hasOwnProperty('categories'))
        obj.categories = ApiClient.convertToType(data['categories'], ['Number']);
      if (data.hasOwnProperty('categories_by_source_id'))
        obj.categoriesBySourceId = ApiClient.convertToType(data['categories_by_source_id'], ['String']);
      if (data.hasOwnProperty('authors'))
        obj.authors = ApiClient.convertToType(data['authors'], [Object]);
      if (data.hasOwnProperty('custom_fields'))
        obj.customFields = ApiClient.convertToType(data['custom_fields'], Object);
      if (data.hasOwnProperty('custom_fields_list'))
        obj.customFieldsList = ApiClient.convertToType(data['custom_fields_list'], [CustomArticleFieldAdd]);
      if (data.hasOwnProperty('defined_type'))
        obj.definedType = ApiClient.convertToType(data['defined_type'], 'String');
      if (data.hasOwnProperty('funding'))
        obj.funding = ApiClient.convertToType(data['funding'], 'String');
      if (data.hasOwnProperty('funding_list'))
        obj.fundingList = ApiClient.convertToType(data['funding_list'], [FundingCreate]);
      if (data.hasOwnProperty('license'))
        obj.license = ApiClient.convertToType(data['license'], 'Number');
      if (data.hasOwnProperty('doi'))
        obj.doi = ApiClient.convertToType(data['doi'], 'String');
      if (data.hasOwnProperty('handle'))
        obj.handle = ApiClient.convertToType(data['handle'], 'String');
      if (data.hasOwnProperty('resource_doi'))
        obj.resourceDoi = ApiClient.convertToType(data['resource_doi'], 'String');
      if (data.hasOwnProperty('resource_title'))
        obj.resourceTitle = ApiClient.convertToType(data['resource_title'], 'String');
      if (data.hasOwnProperty('timeline'))
        obj.timeline = TimelineUpdate.constructFromObject(data['timeline']);
    }
    return obj;
  }

  /**
   * Title of article
   * @member {String} title
   */
  exports.prototype.title = undefined;

  /**
   * The article description. In a publisher case, usually this is the remote article description
   * @member {String} description
   * @default ''
   */
  exports.prototype.description = '';

  /**
   * List of tags to be associated with the article. Keywords can be used instead
   * @member {Array.<String>} tags
   */
  exports.prototype.tags = undefined;

  /**
   * List of tags to be associated with the article. Tags can be used instead
   * @member {Array.<String>} keywords
   */
  exports.prototype.keywords = undefined;

  /**
   * List of links to be associated with the article (e.g [\"http://link1\", \"http://link2\", \"http://link3\"])
   * @member {Array.<String>} references
   */
  exports.prototype.references = undefined;

  /**
   * List of related materials; supersedes references and resource DOI/title.
   * @member {Array.<module:model/RelatedMaterial>} relatedMaterials
   */
  exports.prototype.relatedMaterials = undefined;

  /**
   * List of category ids to be associated with the article(e.g [1, 23, 33, 66])
   * @member {Array.<Number>} categories
   */
  exports.prototype.categories = undefined;

  /**
   * List of category source ids to be associated with the article, supersedes the categories property
   * @member {Array.<String>} categoriesBySourceId
   */
  exports.prototype.categoriesBySourceId = undefined;

  /**
   * List of authors to be associated with the article. The list can contain the following fields: id, name, first_name, last_name, email, orcid_id. If an id is supplied, it will take priority and everything else will be ignored. For adding more authors use the specific authors endpoint.
   * @member {Array.<Object>} authors
   */
  exports.prototype.authors = undefined;

  /**
   * List of key, values pairs to be associated with the article
   * @member {Object} customFields
   */
  exports.prototype.customFields = undefined;

  /**
   * List of custom fields values, supersedes custom_fields parameter
   * @member {Array.<module:model/CustomArticleFieldAdd>} customFieldsList
   */
  exports.prototype.customFieldsList = undefined;

  /**
   * <b>One of:</b> <code>figure</code> <code>online resource</code> <code>preprint</code> <code>book</code> <code>conference contribution</code> <code>media</code> <code>dataset</code> <code>poster</code> <code>journal contribution</code> <code>presentation</code> <code>thesis</code> <code>software</code>
   * @member {String} definedType
   */
  exports.prototype.definedType = undefined;

  /**
   * Grant number or funding authority
   * @member {String} funding
   * @default ''
   */
  exports.prototype.funding = '';

  /**
   * Funding creation / update items
   * @member {Array.<module:model/FundingCreate>} fundingList
   */
  exports.prototype.fundingList = undefined;

  /**
   * License id for this article.
   * @member {Number} license
   * @default 0
   */
  exports.prototype.license = 0;

  /**
   * Not applicable for regular users. In an institutional case, make sure your group supports setting DOIs. This setting is applied by figshare via opening a ticket through our support/helpdesk system.
   * @member {String} doi
   * @default ''
   */
  exports.prototype.doi = '';

  /**
   * Not applicable for regular users. In an institutional case, make sure your group supports setting Handles. This setting is applied by figshare via opening a ticket through our support/helpdesk system.
   * @member {String} handle
   * @default ''
   */
  exports.prototype.handle = '';

  /**
   * Deprecated by related materials. Not applicable to regular users. In a publisher case, this is the publisher article DOI.
   * @member {String} resourceDoi
   * @default ''
   */
  exports.prototype.resourceDoi = '';

  /**
   * Deprecated by related materials. Not applicable to regular users. In a publisher case, this is the publisher article title.
   * @member {String} resourceTitle
   * @default ''
   */
  exports.prototype.resourceTitle = '';

  /**
   * Various timeline dates
   * @member {module:model/TimelineUpdate} timeline
   */
  exports.prototype.timeline = undefined;


  return exports;

}));
