/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ArticleVersions = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ArticleVersions model module.
   * @module model/ArticleVersions
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ArticleVersions</code>.
   * @alias module:model/ArticleVersions
   * @class
   * @param version {Number} Version number
   * @param url {String} Api endpoint for the item version
   */
  var exports = function(version, url) {
    this.version = version;
    this.url = url;
  };

  /**
   * Constructs a <code>ArticleVersions</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ArticleVersions} obj Optional instance to populate.
   * @return {module:model/ArticleVersions} The populated <code>ArticleVersions</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('version'))
        obj.version = ApiClient.convertToType(data['version'], 'Number');
      if (data.hasOwnProperty('url'))
        obj.url = ApiClient.convertToType(data['url'], 'String');
    }
    return obj;
  }

  /**
   * Version number
   * @member {Number} version
   */
  exports.prototype.version = undefined;

  /**
   * Api endpoint for the item version
   * @member {String} url
   */
  exports.prototype.url = undefined;


  return exports;

}));
