/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.Author = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Author model module.
   * @module model/Author
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>Author</code>.
   * @alias module:model/Author
   * @class
   * @param id {Number} Author id
   * @param fullName {String} Author full name
   * @param isActive {Boolean} True if author has published items
   * @param urlName {String} Author url name
   * @param orcidId {String} Author Orcid
   */
  var exports = function(id, fullName, isActive, urlName, orcidId) {
    this.id = id;
    this.fullName = fullName;
    this.isActive = isActive;
    this.urlName = urlName;
    this.orcidId = orcidId;
  };

  /**
   * Constructs a <code>Author</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Author} obj Optional instance to populate.
   * @return {module:model/Author} The populated <code>Author</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'Number');
      if (data.hasOwnProperty('full_name'))
        obj.fullName = ApiClient.convertToType(data['full_name'], 'String');
      if (data.hasOwnProperty('is_active'))
        obj.isActive = ApiClient.convertToType(data['is_active'], 'Boolean');
      if (data.hasOwnProperty('url_name'))
        obj.urlName = ApiClient.convertToType(data['url_name'], 'String');
      if (data.hasOwnProperty('orcid_id'))
        obj.orcidId = ApiClient.convertToType(data['orcid_id'], 'String');
    }
    return obj;
  }

  /**
   * Author id
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * Author full name
   * @member {String} fullName
   */
  exports.prototype.fullName = undefined;

  /**
   * True if author has published items
   * @member {Boolean} isActive
   */
  exports.prototype.isActive = undefined;

  /**
   * Author url name
   * @member {String} urlName
   */
  exports.prototype.urlName = undefined;

  /**
   * Author Orcid
   * @member {String} orcidId
   */
  exports.prototype.orcidId = undefined;


  return exports;

}));
