/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Author', 'model/Category', 'model/Collection', 'model/CustomArticleField', 'model/FundingInformation', 'model/Timeline'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Author'), require('./Category'), require('./Collection'), require('./CustomArticleField'), require('./FundingInformation'), require('./Timeline'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.CollectionCompletePrivate = factory(root.FigshareApi.ApiClient, root.FigshareApi.Author, root.FigshareApi.Category, root.FigshareApi.Collection, root.FigshareApi.CustomArticleField, root.FigshareApi.FundingInformation, root.FigshareApi.Timeline);
  }
}(this, function(ApiClient, Author, Category, Collection, CustomArticleField, FundingInformation, Timeline) {
  'use strict';

  /**
   * The CollectionCompletePrivate model module.
   * @module model/CollectionCompletePrivate
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>CollectionCompletePrivate</code>.
   * @alias module:model/CollectionCompletePrivate
   * @class
   * @extends module:model/Collection
   * @implements module:model/Collection
   * @param id {Number} Collection id
   * @param title {String} Collection title
   * @param doi {String} Collection DOI
   * @param handle {String} Collection Handle
   * @param url {String} Api endpoint
   * @param timeline {module:model/Timeline} Various timeline dates
   */
  var exports = function(id, title, doi, handle, url, timeline) {
    Collection.call(this, id, title, doi, handle, url, timeline);
    Collection.call(this, id, title, doi, handle, url, timeline);
    this.accountId = accountId;
    this.funding = funding;
    this.resourceId = resourceId;
    this.resourceDoi = resourceDoi;
    this.resourceTitle = resourceTitle;
    this.resourceLink = resourceLink;
    this.resourceVersion = resourceVersion;
    this.version = version;
    this.description = description;
    this.categories = categories;
    this.references = references;
    this.tags = tags;
    this.authors = authors;
    this.institutionId = institutionId;
    this.groupId = groupId;
    this.articlesCount = articlesCount;
    this._public = _public;
    this.citation = citation;
    this.customFields = customFields;
    this.modifiedDate = modifiedDate;
    this.createdDate = createdDate;
    this.timeline = timeline;
  };

  /**
   * Constructs a <code>CollectionCompletePrivate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/CollectionCompletePrivate} obj Optional instance to populate.
   * @return {module:model/CollectionCompletePrivate} The populated <code>CollectionCompletePrivate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      Collection.constructFromObject(data, obj);
      Collection.constructFromObject(data, obj);
      if (data.hasOwnProperty('account_id'))
        obj.accountId = ApiClient.convertToType(data['account_id'], 'Number');
      if (data.hasOwnProperty('funding'))
        obj.funding = ApiClient.convertToType(data['funding'], [FundingInformation]);
      if (data.hasOwnProperty('resource_id'))
        obj.resourceId = ApiClient.convertToType(data['resource_id'], 'String');
      if (data.hasOwnProperty('resource_doi'))
        obj.resourceDoi = ApiClient.convertToType(data['resource_doi'], 'String');
      if (data.hasOwnProperty('resource_title'))
        obj.resourceTitle = ApiClient.convertToType(data['resource_title'], 'String');
      if (data.hasOwnProperty('resource_link'))
        obj.resourceLink = ApiClient.convertToType(data['resource_link'], 'String');
      if (data.hasOwnProperty('resource_version'))
        obj.resourceVersion = ApiClient.convertToType(data['resource_version'], 'Number');
      if (data.hasOwnProperty('version'))
        obj.version = ApiClient.convertToType(data['version'], 'Number');
      if (data.hasOwnProperty('description'))
        obj.description = ApiClient.convertToType(data['description'], 'String');
      if (data.hasOwnProperty('categories'))
        obj.categories = ApiClient.convertToType(data['categories'], [Category]);
      if (data.hasOwnProperty('references'))
        obj.references = ApiClient.convertToType(data['references'], ['String']);
      if (data.hasOwnProperty('tags'))
        obj.tags = ApiClient.convertToType(data['tags'], ['String']);
      if (data.hasOwnProperty('authors'))
        obj.authors = ApiClient.convertToType(data['authors'], [Author]);
      if (data.hasOwnProperty('institution_id'))
        obj.institutionId = ApiClient.convertToType(data['institution_id'], 'Number');
      if (data.hasOwnProperty('group_id'))
        obj.groupId = ApiClient.convertToType(data['group_id'], 'Number');
      if (data.hasOwnProperty('articles_count'))
        obj.articlesCount = ApiClient.convertToType(data['articles_count'], 'Number');
      if (data.hasOwnProperty('public'))
        obj._public = ApiClient.convertToType(data['public'], 'Boolean');
      if (data.hasOwnProperty('citation'))
        obj.citation = ApiClient.convertToType(data['citation'], 'String');
      if (data.hasOwnProperty('custom_fields'))
        obj.customFields = ApiClient.convertToType(data['custom_fields'], [CustomArticleField]);
      if (data.hasOwnProperty('modified_date'))
        obj.modifiedDate = ApiClient.convertToType(data['modified_date'], 'String');
      if (data.hasOwnProperty('created_date'))
        obj.createdDate = ApiClient.convertToType(data['created_date'], 'String');
      if (data.hasOwnProperty('timeline'))
        obj.timeline = Timeline.constructFromObject(data['timeline']);
    }
    return obj;
  }

  exports.prototype = Object.create(Collection.prototype);
  exports.prototype.constructor = exports;
  /**
   * ID of the account owning the collection
   * @member {Number} accountId
   */
  exports.prototype.accountId = undefined;

  /**
   * Full Collection funding information
   * @member {Array.<module:model/FundingInformation>} funding
   */
  exports.prototype.funding = undefined;

  /**
   * Collection resource id
   * @member {String} resourceId
   */
  exports.prototype.resourceId = undefined;

  /**
   * Collection resource doi
   * @member {String} resourceDoi
   */
  exports.prototype.resourceDoi = undefined;

  /**
   * Collection resource title
   * @member {String} resourceTitle
   */
  exports.prototype.resourceTitle = undefined;

  /**
   * Collection resource link
   * @member {String} resourceLink
   */
  exports.prototype.resourceLink = undefined;

  /**
   * Collection resource version
   * @member {Number} resourceVersion
   */
  exports.prototype.resourceVersion = undefined;

  /**
   * Collection version
   * @member {Number} version
   */
  exports.prototype.version = undefined;

  /**
   * Collection description
   * @member {String} description
   */
  exports.prototype.description = undefined;

  /**
   * List of collection categories
   * @member {Array.<module:model/Category>} categories
   */
  exports.prototype.categories = undefined;

  /**
   * List of collection references
   * @member {Array.<String>} references
   */
  exports.prototype.references = undefined;

  /**
   * List of collection tags
   * @member {Array.<String>} tags
   */
  exports.prototype.tags = undefined;

  /**
   * List of collection authors
   * @member {Array.<module:model/Author>} authors
   */
  exports.prototype.authors = undefined;

  /**
   * Collection institution
   * @member {Number} institutionId
   */
  exports.prototype.institutionId = undefined;

  /**
   * Collection group
   * @member {Number} groupId
   */
  exports.prototype.groupId = undefined;

  /**
   * Number of articles in collection
   * @member {Number} articlesCount
   */
  exports.prototype.articlesCount = undefined;

  /**
   * True if collection is published
   * @member {Boolean} _public
   */
  exports.prototype._public = undefined;

  /**
   * Collection citation
   * @member {String} citation
   */
  exports.prototype.citation = undefined;

  /**
   * Collection custom fields
   * @member {Array.<module:model/CustomArticleField>} customFields
   */
  exports.prototype.customFields = undefined;

  /**
   * Date when collection was last modified
   * @member {String} modifiedDate
   */
  exports.prototype.modifiedDate = undefined;

  /**
   * Date when collection was created
   * @member {String} createdDate
   */
  exports.prototype.createdDate = undefined;

  /**
   * Various timeline dates
   * @member {module:model/Timeline} timeline
   */
  exports.prototype.timeline = undefined;


  // Implement Collection interface:
  /**
   * Collection id
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * Collection title
   * @member {String} title
   */
  exports.prototype.title = undefined;

  /**
   * Collection DOI
   * @member {String} doi
   */
  exports.prototype.doi = undefined;

  /**
   * Collection Handle
   * @member {String} handle
   */
  exports.prototype.handle = undefined;

  /**
   * Api endpoint
   * @member {String} url
   */
  exports.prototype.url = undefined;

  /**
   * Various timeline dates
   * @member {module:model/Timeline} timeline
   */
  exports.prototype.timeline = undefined;

  return exports;

}));
