/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.FileCreator = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The FileCreator model module.
   * @module model/FileCreator
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>FileCreator</code>.
   * @alias module:model/FileCreator
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FileCreator</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FileCreator} obj Optional instance to populate.
   * @return {module:model/FileCreator} The populated <code>FileCreator</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('link'))
        obj.link = ApiClient.convertToType(data['link'], 'String');
      if (data.hasOwnProperty('md5'))
        obj.md5 = ApiClient.convertToType(data['md5'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('size'))
        obj.size = ApiClient.convertToType(data['size'], 'Number');
      if (data.hasOwnProperty('folder_path'))
        obj.folderPath = ApiClient.convertToType(data['folder_path'], 'String');
    }
    return obj;
  }

  /**
   * Url for an existing file that will not be uploaded to Figshare
   * @member {String} link
   */
  exports.prototype.link = undefined;

  /**
   * MD5 sum pre-computed on client side.
   * @member {String} md5
   */
  exports.prototype.md5 = undefined;

  /**
   * File name including the extension; can be omitted only for linked files.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * File size in bytes; can be omitted only for linked files.
   * @member {Number} size
   */
  exports.prototype.size = undefined;

  /**
   * Unix-style directory path of the file; only available if the file was uploaded within a folder structure
   * @member {String} folderPath
   */
  exports.prototype.folderPath = undefined;


  return exports;

}));
