/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.GroupEmbargoOptions = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The GroupEmbargoOptions model module.
   * @module model/GroupEmbargoOptions
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>GroupEmbargoOptions</code>.
   * @alias module:model/GroupEmbargoOptions
   * @class
   * @param id {Number} Embargo option id
   * @param type {module:model/GroupEmbargoOptions.TypeEnum} Embargo permission type
   * @param ipName {String} IP range name; value appears if type is ip_range
   */
  var exports = function(id, type, ipName) {
    this.id = id;
    this.type = type;
    this.ipName = ipName;
  };

  /**
   * Constructs a <code>GroupEmbargoOptions</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/GroupEmbargoOptions} obj Optional instance to populate.
   * @return {module:model/GroupEmbargoOptions} The populated <code>GroupEmbargoOptions</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'Number');
      if (data.hasOwnProperty('type'))
        obj.type = ApiClient.convertToType(data['type'], 'String');
      if (data.hasOwnProperty('ip_name'))
        obj.ipName = ApiClient.convertToType(data['ip_name'], 'String');
    }
    return obj;
  }

  /**
   * Embargo option id
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * Embargo permission type
   * @member {module:model/GroupEmbargoOptions.TypeEnum} type
   */
  exports.prototype.type = undefined;

  /**
   * IP range name; value appears if type is ip_range
   * @member {String} ipName
   */
  exports.prototype.ipName = undefined;



  /**
   * Allowed values for the <code>type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TypeEnum = {
    /**
     * value: "logged_in"
     * @const
     */
    loggedIn: "logged_in",

    /**
     * value: "ip_range"
     * @const
     */
    ipRange: "ip_range",

    /**
     * value: "administrator"
     * @const
     */
    administrator: "administrator"
  };

  return exports;

}));
