/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.InstitutionAccountsSearch = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The InstitutionAccountsSearch model module.
   * @module model/InstitutionAccountsSearch
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>InstitutionAccountsSearch</code>.
   * @alias module:model/InstitutionAccountsSearch
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>InstitutionAccountsSearch</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/InstitutionAccountsSearch} obj Optional instance to populate.
   * @return {module:model/InstitutionAccountsSearch} The populated <code>InstitutionAccountsSearch</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('search_for'))
        obj.searchFor = ApiClient.convertToType(data['search_for'], 'String');
      if (data.hasOwnProperty('is_active'))
        obj.isActive = ApiClient.convertToType(data['is_active'], 'Number');
      if (data.hasOwnProperty('page'))
        obj.page = ApiClient.convertToType(data['page'], 'Number');
      if (data.hasOwnProperty('page_size'))
        obj.pageSize = ApiClient.convertToType(data['page_size'], 'Number');
      if (data.hasOwnProperty('limit'))
        obj.limit = ApiClient.convertToType(data['limit'], 'Number');
      if (data.hasOwnProperty('offset'))
        obj.offset = ApiClient.convertToType(data['offset'], 'Number');
      if (data.hasOwnProperty('institution_user_id'))
        obj.institutionUserId = ApiClient.convertToType(data['institution_user_id'], 'String');
      if (data.hasOwnProperty('email'))
        obj.email = ApiClient.convertToType(data['email'], 'String');
    }
    return obj;
  }

  /**
   * Search term
   * @member {String} searchFor
   */
  exports.prototype.searchFor = undefined;

  /**
   * Filter by active status
   * @member {Number} isActive
   */
  exports.prototype.isActive = undefined;

  /**
   * Page number. Used for pagination with page_size
   * @member {Number} page
   */
  exports.prototype.page = undefined;

  /**
   * The number of results included on a page. Used for pagination with page
   * @member {Number} pageSize
   * @default 10
   */
  exports.prototype.pageSize = 10;

  /**
   * Number of results included on a page. Used for pagination with query
   * @member {Number} limit
   */
  exports.prototype.limit = undefined;

  /**
   * Where to start the listing(the offset of the first result). Used for pagination with limit
   * @member {Number} offset
   */
  exports.prototype.offset = undefined;

  /**
   * filter by institution_user_id
   * @member {String} institutionUserId
   */
  exports.prototype.institutionUserId = undefined;

  /**
   * filter by email
   * @member {String} email
   */
  exports.prototype.email = undefined;


  return exports;

}));
