/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.PrivateAuthorsSearch = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PrivateAuthorsSearch model module.
   * @module model/PrivateAuthorsSearch
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>PrivateAuthorsSearch</code>.
   * @alias module:model/PrivateAuthorsSearch
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PrivateAuthorsSearch</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PrivateAuthorsSearch} obj Optional instance to populate.
   * @return {module:model/PrivateAuthorsSearch} The populated <code>PrivateAuthorsSearch</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('search_for'))
        obj.searchFor = ApiClient.convertToType(data['search_for'], 'String');
      if (data.hasOwnProperty('page'))
        obj.page = ApiClient.convertToType(data['page'], 'Number');
      if (data.hasOwnProperty('page_size'))
        obj.pageSize = ApiClient.convertToType(data['page_size'], 'Number');
      if (data.hasOwnProperty('limit'))
        obj.limit = ApiClient.convertToType(data['limit'], 'Number');
      if (data.hasOwnProperty('offset'))
        obj.offset = ApiClient.convertToType(data['offset'], 'Number');
      if (data.hasOwnProperty('order'))
        obj.order = ApiClient.convertToType(data['order'], 'String');
      if (data.hasOwnProperty('order_direction'))
        obj.orderDirection = ApiClient.convertToType(data['order_direction'], 'String');
      if (data.hasOwnProperty('institution_id'))
        obj.institutionId = ApiClient.convertToType(data['institution_id'], 'Number');
      if (data.hasOwnProperty('orcid'))
        obj.orcid = ApiClient.convertToType(data['orcid'], 'String');
      if (data.hasOwnProperty('group_id'))
        obj.groupId = ApiClient.convertToType(data['group_id'], 'Number');
      if (data.hasOwnProperty('is_active'))
        obj.isActive = ApiClient.convertToType(data['is_active'], 'Boolean');
      if (data.hasOwnProperty('is_public'))
        obj.isPublic = ApiClient.convertToType(data['is_public'], 'Boolean');
    }
    return obj;
  }

  /**
   * Search term
   * @member {String} searchFor
   */
  exports.prototype.searchFor = undefined;

  /**
   * Page number. Used for pagination with page_size
   * @member {Number} page
   */
  exports.prototype.page = undefined;

  /**
   * The number of results included on a page. Used for pagination with page
   * @member {Number} pageSize
   * @default 10
   */
  exports.prototype.pageSize = 10;

  /**
   * Number of results included on a page. Used for pagination with query
   * @member {Number} limit
   */
  exports.prototype.limit = undefined;

  /**
   * Where to start the listing(the offset of the first result). Used for pagination with limit
   * @member {Number} offset
   */
  exports.prototype.offset = undefined;

  /**
   * The field by which to order. Default varies by endpoint/resource.
   * @member {module:model/PrivateAuthorsSearch.OrderEnum} order
   * @default 'published_date'
   */
  exports.prototype.order = 'published_date';

  /**
   * Direction of ordering
   * @member {module:model/PrivateAuthorsSearch.OrderDirectionEnum} orderDirection
   * @default 'desc'
   */
  exports.prototype.orderDirection = 'desc';

  /**
   * Return only authors associated to this institution
   * @member {Number} institutionId
   */
  exports.prototype.institutionId = undefined;

  /**
   * Orcid of author
   * @member {String} orcid
   */
  exports.prototype.orcid = undefined;

  /**
   * Return only authors in this group or subgroups of the group
   * @member {Number} groupId
   */
  exports.prototype.groupId = undefined;

  /**
   * Return only active authors if True
   * @member {Boolean} isActive
   */
  exports.prototype.isActive = undefined;

  /**
   * Return only authors that have published items if True
   * @member {Boolean} isPublic
   */
  exports.prototype.isPublic = undefined;



  /**
   * Allowed values for the <code>order</code> property.
   * @enum {String}
   * @readonly
   */
  exports.OrderEnum = {
    /**
     * value: "published_date"
     * @const
     */
    publishedDate: "published_date",

    /**
     * value: "modified_date"
     * @const
     */
    modifiedDate: "modified_date",

    /**
     * value: "views"
     * @const
     */
    views: "views",

    /**
     * value: "shares"
     * @const
     */
    shares: "shares",

    /**
     * value: "downloads"
     * @const
     */
    downloads: "downloads",

    /**
     * value: "cites"
     * @const
     */
    cites: "cites"
  };


  /**
   * Allowed values for the <code>orderDirection</code> property.
   * @enum {String}
   * @readonly
   */
  exports.OrderDirectionEnum = {
    /**
     * value: "asc"
     * @const
     */
    asc: "asc",

    /**
     * value: "desc"
     * @const
     */
    desc: "desc"
  };

  return exports;

}));
