/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.PrivateLink = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PrivateLink model module.
   * @module model/PrivateLink
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>PrivateLink</code>.
   * @alias module:model/PrivateLink
   * @class
   * @param id {String} Private link id
   * @param isActive {Boolean} True if private link is active
   * @param expiresDate {String} Date when link will expire
   * @param htmlLocation {String} HTML url for private link
   */
  var exports = function(id, isActive, expiresDate, htmlLocation) {
    this.id = id;
    this.isActive = isActive;
    this.expiresDate = expiresDate;
    this.htmlLocation = htmlLocation;
  };

  /**
   * Constructs a <code>PrivateLink</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PrivateLink} obj Optional instance to populate.
   * @return {module:model/PrivateLink} The populated <code>PrivateLink</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'String');
      if (data.hasOwnProperty('is_active'))
        obj.isActive = ApiClient.convertToType(data['is_active'], 'Boolean');
      if (data.hasOwnProperty('expires_date'))
        obj.expiresDate = ApiClient.convertToType(data['expires_date'], 'String');
      if (data.hasOwnProperty('html_location'))
        obj.htmlLocation = ApiClient.convertToType(data['html_location'], 'String');
    }
    return obj;
  }

  /**
   * Private link id
   * @member {String} id
   */
  exports.prototype.id = undefined;

  /**
   * True if private link is active
   * @member {Boolean} isActive
   */
  exports.prototype.isActive = undefined;

  /**
   * Date when link will expire
   * @member {String} expiresDate
   */
  exports.prototype.expiresDate = undefined;

  /**
   * HTML url for private link
   * @member {String} htmlLocation
   */
  exports.prototype.htmlLocation = undefined;


  return exports;

}));
