/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ProjectCollaboratorInvite = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ProjectCollaboratorInvite model module.
   * @module model/ProjectCollaboratorInvite
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ProjectCollaboratorInvite</code>.
   * @alias module:model/ProjectCollaboratorInvite
   * @class
   * @param roleName {module:model/ProjectCollaboratorInvite.RoleNameEnum} Role of the the collaborator inside the project
   */
  var exports = function(roleName) {
    this.roleName = roleName;
  };

  /**
   * Constructs a <code>ProjectCollaboratorInvite</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ProjectCollaboratorInvite} obj Optional instance to populate.
   * @return {module:model/ProjectCollaboratorInvite} The populated <code>ProjectCollaboratorInvite</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('role_name'))
        obj.roleName = ApiClient.convertToType(data['role_name'], 'String');
      if (data.hasOwnProperty('user_id'))
        obj.userId = ApiClient.convertToType(data['user_id'], 'Number');
      if (data.hasOwnProperty('email'))
        obj.email = ApiClient.convertToType(data['email'], 'String');
      if (data.hasOwnProperty('comment'))
        obj.comment = ApiClient.convertToType(data['comment'], 'String');
    }
    return obj;
  }

  /**
   * Role of the the collaborator inside the project
   * @member {module:model/ProjectCollaboratorInvite.RoleNameEnum} roleName
   */
  exports.prototype.roleName = undefined;

  /**
   * User id of the collaborator
   * @member {Number} userId
   */
  exports.prototype.userId = undefined;

  /**
   * Collaborator email
   * @member {String} email
   */
  exports.prototype.email = undefined;

  /**
   * Text sent when inviting the user to the project
   * @member {String} comment
   */
  exports.prototype.comment = undefined;



  /**
   * Allowed values for the <code>roleName</code> property.
   * @enum {String}
   * @readonly
   */
  exports.RoleNameEnum = {
    /**
     * value: "viewer"
     * @const
     */
    viewer: "viewer",

    /**
     * value: "collaborator"
     * @const
     */
    collaborator: "collaborator"
  };

  return exports;

}));
