/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ProjectNote'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ProjectNote'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.ProjectNotePrivate = factory(root.FigshareApi.ApiClient, root.FigshareApi.ProjectNote);
  }
}(this, function(ApiClient, ProjectNote) {
  'use strict';

  /**
   * The ProjectNotePrivate model module.
   * @module model/ProjectNotePrivate
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>ProjectNotePrivate</code>.
   * @alias module:model/ProjectNotePrivate
   * @class
   * @extends module:model/ProjectNote
   * @implements module:model/ProjectNote
   * @param id {Number} Project note id
   * @param userId {Number} User who wrote the note
   * @param _abstract {String} Note Abstract - short/truncated content
   * @param userName {String} Username of the one who wrote the note
   * @param createdDate {String} Date when note was created
   * @param modifiedDate {String} Date when note was last modified
   */
  var exports = function(id, userId, _abstract, userName, createdDate, modifiedDate) {
    ProjectNote.call(this, id, userId, _abstract, userName, createdDate, modifiedDate);
    ProjectNote.call(this, id, userId, _abstract, userName, createdDate, modifiedDate);
    this.text = text;
  };

  /**
   * Constructs a <code>ProjectNotePrivate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ProjectNotePrivate} obj Optional instance to populate.
   * @return {module:model/ProjectNotePrivate} The populated <code>ProjectNotePrivate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      ProjectNote.constructFromObject(data, obj);
      ProjectNote.constructFromObject(data, obj);
      if (data.hasOwnProperty('text'))
        obj.text = ApiClient.convertToType(data['text'], 'String');
    }
    return obj;
  }

  exports.prototype = Object.create(ProjectNote.prototype);
  exports.prototype.constructor = exports;
  /**
   * Full text of note
   * @member {String} text
   */
  exports.prototype.text = undefined;


  // Implement ProjectNote interface:
  /**
   * Project note id
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * User who wrote the note
   * @member {Number} userId
   */
  exports.prototype.userId = undefined;

  /**
   * Note Abstract - short/truncated content
   * @member {String} _abstract
   */
  exports.prototype._abstract = undefined;

  /**
   * Username of the one who wrote the note
   * @member {String} userName
   */
  exports.prototype.userName = undefined;

  /**
   * Date when note was created
   * @member {String} createdDate
   */
  exports.prototype.createdDate = undefined;

  /**
   * Date when note was last modified
   * @member {String} modifiedDate
   */
  exports.prototype.modifiedDate = undefined;

  return exports;

}));
