/*
 * Figshare API
 * Figshare apiv2. Using Swagger 2.0
 *
 * OpenAPI spec version: 2.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.32
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.FigshareApi) {
      root.FigshareApi = {};
    }
    root.FigshareApi.PublicFile = factory(root.FigshareApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PublicFile model module.
   * @module model/PublicFile
   * @version 2.0.0
   */

  /**
   * Constructs a new <code>PublicFile</code>.
   * @alias module:model/PublicFile
   * @class
   * @param id {Number} File id
   * @param name {String} File name
   * @param size {Number} File size
   * @param isLinkOnly {Boolean} True if file is hosted somewhere else
   * @param downloadUrl {String} Url for file download
   * @param suppliedMd5 {String} File supplied md5
   * @param computedMd5 {String} File computed md5
   */
  var exports = function(id, name, size, isLinkOnly, downloadUrl, suppliedMd5, computedMd5) {
    this.id = id;
    this.name = name;
    this.size = size;
    this.isLinkOnly = isLinkOnly;
    this.downloadUrl = downloadUrl;
    this.suppliedMd5 = suppliedMd5;
    this.computedMd5 = computedMd5;
  };

  /**
   * Constructs a <code>PublicFile</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PublicFile} obj Optional instance to populate.
   * @return {module:model/PublicFile} The populated <code>PublicFile</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('id'))
        obj.id = ApiClient.convertToType(data['id'], 'Number');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('size'))
        obj.size = ApiClient.convertToType(data['size'], 'Number');
      if (data.hasOwnProperty('is_link_only'))
        obj.isLinkOnly = ApiClient.convertToType(data['is_link_only'], 'Boolean');
      if (data.hasOwnProperty('download_url'))
        obj.downloadUrl = ApiClient.convertToType(data['download_url'], 'String');
      if (data.hasOwnProperty('supplied_md5'))
        obj.suppliedMd5 = ApiClient.convertToType(data['supplied_md5'], 'String');
      if (data.hasOwnProperty('computed_md5'))
        obj.computedMd5 = ApiClient.convertToType(data['computed_md5'], 'String');
      if (data.hasOwnProperty('mimetype'))
        obj.mimetype = ApiClient.convertToType(data['mimetype'], 'String');
    }
    return obj;
  }

  /**
   * File id
   * @member {Number} id
   */
  exports.prototype.id = undefined;

  /**
   * File name
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * File size
   * @member {Number} size
   */
  exports.prototype.size = undefined;

  /**
   * True if file is hosted somewhere else
   * @member {Boolean} isLinkOnly
   */
  exports.prototype.isLinkOnly = undefined;

  /**
   * Url for file download
   * @member {String} downloadUrl
   */
  exports.prototype.downloadUrl = undefined;

  /**
   * File supplied md5
   * @member {String} suppliedMd5
   */
  exports.prototype.suppliedMd5 = undefined;

  /**
   * File computed md5
   * @member {String} computedMd5
   */
  exports.prototype.computedMd5 = undefined;

  /**
   * MIME Type of the file, it defaults to an empty string
   * @member {String} mimetype
   */
  exports.prototype.mimetype = undefined;


  return exports;

}));
